searchData={"items":[{"type":"module","title":"GoogleApi.SQLAdmin.V1","doc":"API client metadata for GoogleApi.SQLAdmin.V1.","ref":"GoogleApi.SQLAdmin.V1.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.discovery_revision/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.BackupRuns","doc":"API calls for all endpoints tagged `BackupRuns`.","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_delete/6","doc":"Deletes the backup taken by a backup run.","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_delete/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_delete/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `id` (*type:* `String.t`) - The ID of the backup run to delete. To find a backup run ID, use the [list](https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1/backupRuns/list) method.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_delete/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_delete/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_get/6","doc":"Retrieves a resource containing information about a backup run.","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `id` (*type:* `String.t`) - The ID of this backup run.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.BackupRun{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_insert/5","doc":"Creates a new backup run on demand.","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.BackupRun.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_list/5","doc":"Lists all backup runs associated with the project or a given instance and configuration in the reverse chronological order of the backup initiation time.","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID, or \"-\" for all instances. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:maxResults` (*type:* `integer()`) - Maximum number of backup runs per response.\n    *   `:pageToken` (*type:* `String.t`) - A previously-returned page token representing part of the larger set of results to view.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.BackupRuns.sql_backup_runs_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.BackupRuns.html#sql_backup_runs_list/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Connect","doc":"API calls for all endpoints tagged `Connect`.","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Connect.sql_connect_generate_ephemeral/5","doc":"Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html#sql_connect_generate_ephemeral/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Connect.sql_connect_generate_ephemeral/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html#sql_connect_generate_ephemeral/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Connect.sql_connect_generate_ephemeral/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html#sql_connect_generate_ephemeral/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Connect.sql_connect_get/5","doc":"Retrieves connect settings about a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html#sql_connect_get/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Connect.sql_connect_get/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:readTime` (*type:* `DateTime.t`) - Optional. Optional snapshot read timestamp to trade freshness for performance.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html#sql_connect_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Connect.sql_connect_get/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.ConnectSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Connect.html#sql_connect_get/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Databases","doc":"API calls for all endpoints tagged `Databases`.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_delete/6","doc":"Deletes a database from a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_delete/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_delete/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database to be deleted in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_delete/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_delete/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_get/6","doc":"Retrieves a resource containing information about a database inside a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Database{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_insert/5","doc":"Inserts a resource containing information about a database inside a Cloud SQL instance. **Note:** You can't modify the default character set and collation.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.Database.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_list/5","doc":"Lists databases in the specified Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_list/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_patch/6","doc":"Partially updates a resource containing information about a database inside a Cloud SQL instance. This method supports patch semantics.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_patch/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_patch/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database to be updated in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.Database.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_patch/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_patch/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_update/6","doc":"Updates a resource containing information about a database inside a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_update/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_update/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database to be updated in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.Database.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Databases.sql_databases_update/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Databases.html#sql_databases_update/6-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Flags","doc":"API calls for all endpoints tagged `Flags`.","ref":"GoogleApi.SQLAdmin.V1.Api.Flags.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Flags.sql_flags_list/3","doc":"Lists all available database flags for Cloud SQL instances.","ref":"GoogleApi.SQLAdmin.V1.Api.Flags.html#sql_flags_list/3"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Flags.sql_flags_list/3","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:databaseVersion` (*type:* `String.t`) - Database type and version you want to retrieve flags for. By default, this method returns flags for all database types and versions.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Flags.html#sql_flags_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Flags.sql_flags_list/3","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.FlagsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Flags.html#sql_flags_list/3-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Instances","doc":"API calls for all endpoints tagged `Instances`.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances__list_server_certificates/5","doc":"Lists all versions of server certificates and certificate authorities (CAs) for the specified instance. There can be up to three sets of certs listed: the certificate that is currently in use, a future that has been added but not yet used to sign a certificate, and a certificate that has been rotated out.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances__list_server_certificates/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances__list_server_certificates/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances__list_server_certificates/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances__list_server_certificates/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances__list_server_certificates/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances__rotate_server_certificate/5","doc":"Rotates the server certificate version to one previously added with the addServerCertificate method. For instances not using Certificate Authority Service (CAS) server CA, use RotateServerCa instead.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances__rotate_server_certificate/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances__rotate_server_certificate/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances__rotate_server_certificate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances__rotate_server_certificate/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances__rotate_server_certificate/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_acquire_ssrs_lease/5","doc":"Acquire a lease for the setup of SQL Server Reporting Services (SSRS).","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_acquire_ssrs_lease/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_acquire_ssrs_lease/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. Project ID of the project that contains the instance (Example: project-id).\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This doesn't include the project ID. It's composed of lowercase letters, numbers, and hyphens, and it must start with a letter. The total length must be 98 characters or less (Example: instance-id).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_acquire_ssrs_lease/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_acquire_ssrs_lease/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_acquire_ssrs_lease/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_add_server_ca/5","doc":"Adds a new trusted Certificate Authority (CA) version for the specified instance. Required to prepare for a certificate rotation. If a CA version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one CA version waiting to be rotated in. For instances that have enabled Certificate Authority Service (CAS) based server CA, use AddServerCertificate to add a new server certificate.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_add_server_ca/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_add_server_ca/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_add_server_ca/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_add_server_ca/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_add_server_ca/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_add_server_certificate/5","doc":"Add a new trusted server certificate version for the specified instance using Certificate Authority Service (CAS) server CA. Required to prepare for a certificate rotation. If a server certificate version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one certificate version waiting to be rotated in. For instances not using CAS server CA, use AddServerCa instead.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_add_server_certificate/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_add_server_certificate/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_add_server_certificate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_add_server_certificate/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_add_server_certificate/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_clone/5","doc":"Creates a Cloud SQL instance as a clone of the source instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_clone/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_clone/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the source as well as the clone Cloud SQL instance.\n*   `instance` (*type:* `String.t`) - The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_clone/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_clone/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_clone/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_delete/5","doc":"Deletes a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_delete/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_delete/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance to be deleted.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_delete/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_delete/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_demote/5","doc":"Demotes an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_demote/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_demote/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_demote/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_demote/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_demote/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_demote_master/5","doc":"Demotes the stand-alone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_demote_master/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_demote_master/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_demote_master/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_demote_master/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_demote_master/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_export/5","doc":"Exports data from a Cloud SQL instance to a Cloud Storage bucket as a SQL dump or CSV file.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_export/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_export/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance to be exported.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_export/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_export/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_export/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_failover/5","doc":"Initiates a manual failover of a high availability (HA) primary instance to a standby instance, which becomes the primary instance. Users are then rerouted to the new primary. For more information, see the [Overview of high availability](https://cloud.google.com/sql/docs/mysql/high-availability) page in the Cloud SQL documentation. If using Legacy HA (MySQL only), this causes the instance to failover to its failover replica instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_failover/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_failover/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_failover/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_failover/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_failover/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_get/5","doc":"Retrieves a resource containing information about a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_get/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_get/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_get/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_get/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_import/5","doc":"Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_import/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_import/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_import/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_import/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_import/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_insert/4","doc":"Creates a new Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_insert/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_insert/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project to which the newly created Cloud SQL instances should belong.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_insert/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_insert/4-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_list/4","doc":"Lists instances under a given project.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_list/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_list/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project for which to list Cloud SQL instances.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. The expression is in the form of field:value. For example, 'instanceType:CLOUD_SQL_INSTANCE'. Fields can be nested as needed as per their JSON representation, such as 'settings.userLabels.auto_start:true'. Multiple filter queries are space-separated. For example. 'state:RUNNABLE instanceType:CLOUD_SQL_INSTANCE'. By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of instances to return. The service may return fewer than this value. If unspecified, at most 500 instances are returned. The maximum value is 1000; values above 1000 are coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A previously-returned page token representing part of the larger set of results to view.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_list/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.InstancesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_list/4-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_list_server_cas/5","doc":"Lists all of the trusted Certificate Authorities (CAs) for the specified instance. There can be up to three CAs listed: the CA that was used to sign the certificate that is currently in use, a CA that has been added but not yet used to sign a certificate, and a CA used to sign a certificate that has previously rotated out.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_list_server_cas/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_list_server_cas/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_list_server_cas/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_list_server_cas/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_list_server_cas/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_patch/5","doc":"Partially updates settings of a Cloud SQL instance by merging the request with the current configuration. This method supports patch semantics.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_patch/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_patch/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_patch/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_patch/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_promote_replica/5","doc":"Promotes the read replica instance to be an independent Cloud SQL primary instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_promote_replica/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_promote_replica/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:failover` (*type:* `boolean()`) - Set to true to invoke a replica failover to the designated DR replica. As part of replica failover, the promote operation attempts to add the original primary instance as a replica of the promoted DR replica when the original primary instance comes back online. If set to false or not specified, then the original primary instance becomes an independent Cloud SQL primary instance. Only applicable to MySQL.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_promote_replica/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_promote_replica/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_promote_replica/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_reencrypt/5","doc":"Reencrypt CMEK instance with latest key version.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_reencrypt/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_reencrypt/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_reencrypt/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_reencrypt/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_reencrypt/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_release_ssrs_lease/5","doc":"Release a lease for the setup of SQL Server Reporting Services (SSRS).","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_release_ssrs_lease/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_release_ssrs_lease/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. The project ID that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. The Cloud SQL instance ID. This doesn't include the project ID. The instance ID contains lowercase letters, numbers, and hyphens, and it must start with a letter. This ID can have a maximum length of 98 characters.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_release_ssrs_lease/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_release_ssrs_lease/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_release_ssrs_lease/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_reset_ssl_config/5","doc":"Deletes all client certificates and generates a new server SSL certificate for the instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_reset_ssl_config/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_reset_ssl_config/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_reset_ssl_config/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_reset_ssl_config/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_reset_ssl_config/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_restart/5","doc":"Restarts a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_restart/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_restart/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance to be restarted.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_restart/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_restart/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_restart/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_restore_backup/5","doc":"Restores a backup of a Cloud SQL instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_restore_backup/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_restore_backup/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_restore_backup/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_restore_backup/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_restore_backup/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_rotate_server_ca/5","doc":"Rotates the server certificate to one signed by the Certificate Authority (CA) version previously added with the addServerCA method. For instances that have enabled Certificate Authority Service (CAS) based server CA, use RotateServerCertificate to rotate the server certificate.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_rotate_server_ca/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_rotate_server_ca/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_rotate_server_ca/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_rotate_server_ca/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_rotate_server_ca/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_start_replica/5","doc":"Starts the replication in the read replica instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_start_replica/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_start_replica/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_start_replica/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_start_replica/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_start_replica/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_stop_replica/5","doc":"Stops the replication in the read replica instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_stop_replica/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_stop_replica/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_stop_replica/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_stop_replica/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_stop_replica/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_switchover/5","doc":"Switches over from the primary instance to the designated DR replica instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_switchover/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_switchover/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:dbTimeout` (*type:* `String.t`) - Optional. (MySQL only) Cloud SQL instance operations timeout, which is a sum of all database operations. Default value is 10 minutes and can be modified to a maximum value of 24 hours.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_switchover/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_switchover/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_switchover/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_truncate_log/5","doc":"Truncate MySQL general and slow query log tables MySQL only.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_truncate_log/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_truncate_log/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the Cloud SQL project.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_truncate_log/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_truncate_log/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_truncate_log/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_update/5","doc":"Updates settings of a Cloud SQL instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_update/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_update/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Instances.sql_instances_update/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Instances.html#sql_instances_update/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_cancel/5","doc":"Cancels an instance operation that has been performed on an instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_cancel/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_cancel/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `operation` (*type:* `String.t`) - Instance operation ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_cancel/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_cancel/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_cancel/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_get/5","doc":"Retrieves an instance operation that has been performed on an instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_get/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_get/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `operation` (*type:* `String.t`) - Instance operation ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_get/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_get/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_list/4","doc":"Lists all instance operations that have been performed on the given Cloud SQL instance in the reverse chronological order of the start time.","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n    *   `:maxResults` (*type:* `integer()`) - Maximum number of operations per response.\n    *   `:pageToken` (*type:* `String.t`) - A previously-returned page token representing part of the larger set of results to view.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Operations.sql_operations_list/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.OperationsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Operations.html#sql_operations_list/4-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_get_disk_shrink_config/5","doc":"Get Disk Shrink Config for a given instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_get_disk_shrink_config/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_get_disk_shrink_config/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_get_disk_shrink_config/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_get_disk_shrink_config/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_get_disk_shrink_config/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_get_latest_recovery_time/5","doc":"Get Latest Recovery Time for a given instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_get_latest_recovery_time/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_get_latest_recovery_time/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_get_latest_recovery_time/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_get_latest_recovery_time/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_get_latest_recovery_time/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_perform_disk_shrink/5","doc":"Perform Disk Shrink on primary instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_perform_disk_shrink/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_perform_disk_shrink/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_perform_disk_shrink/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_perform_disk_shrink/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_perform_disk_shrink/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_reschedule_maintenance/5","doc":"Reschedules the maintenance on the given instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_reschedule_maintenance/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_reschedule_maintenance/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_reschedule_maintenance/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_reschedule_maintenance/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_reschedule_maintenance/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_reset_replica_size/5","doc":"Reset Replica Size to primary instance disk size.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_reset_replica_size/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_reset_replica_size/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_reset_replica_size/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_reset_replica_size/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_reset_replica_size/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_start_external_sync/5","doc":"Start External primary instance migration.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_start_external_sync/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_start_external_sync/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_start_external_sync/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_start_external_sync/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_start_external_sync/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_verify_external_sync_settings/5","doc":"Verify External primary instance external sync settings.","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_verify_external_sync_settings/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_verify_external_sync_settings/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_verify_external_sync_settings/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Projects.sql_projects_instances_verify_external_sync_settings/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Projects.html#sql_projects_instances_verify_external_sync_settings/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.SslCerts","doc":"API calls for all endpoints tagged `SslCerts`.","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_create_ephemeral/5","doc":"Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_create_ephemeral/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_create_ephemeral/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the Cloud SQL project.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_create_ephemeral/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_create_ephemeral/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SslCert{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_create_ephemeral/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_delete/6","doc":"Deletes the SSL certificate. For First Generation instances, the certificate remains valid until the instance is restarted.","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_delete/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_delete/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `sha1_fingerprint` (*type:* `String.t`) - Sha1 FingerPrint.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_delete/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_delete/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_get/6","doc":"Retrieves a particular SSL certificate. Does not include the private key (required for usage). The private key must be saved from the response to initial creation.","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `sha1_fingerprint` (*type:* `String.t`) - Sha1 FingerPrint.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SslCert{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_insert/5","doc":"Creates an SSL certificate and returns it along with the private key and server certificate authority. The new certificate will not be usable until the instance is restarted.","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_list/5","doc":"Lists all of the current SSL certificates for the instance.","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.SslCerts.sql_ssl_certs_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.SslCerts.html#sql_ssl_certs_list/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Tiers","doc":"API calls for all endpoints tagged `Tiers`.","ref":"GoogleApi.SQLAdmin.V1.Api.Tiers.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Tiers.sql_tiers_list/4","doc":"Lists all available machine types (tiers) for Cloud SQL, for example, `db-custom-1-3840`. For more information, see https://cloud.google.com/sql/pricing.","ref":"GoogleApi.SQLAdmin.V1.Api.Tiers.html#sql_tiers_list/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Tiers.sql_tiers_list/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project for which to list tiers.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Tiers.html#sql_tiers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Tiers.sql_tiers_list/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.TiersListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Tiers.html#sql_tiers_list/4-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Api.Users","doc":"API calls for all endpoints tagged `Users`.","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Users.sql_users_delete/5","doc":"Deletes a user from a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_delete/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_delete/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:host` (*type:* `String.t`) - Host of the user in the instance.\n    *   `:name` (*type:* `String.t`) - Name of the user in the instance.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_delete/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_delete/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Users.sql_users_get/6","doc":"Retrieves a resource containing information about a user.","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `name` (*type:* `String.t`) - User of the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:host` (*type:* `String.t`) - Host of a user of the instance.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.User{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Users.sql_users_insert/5","doc":"Creates a new user in a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.User.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Users.sql_users_list/5","doc":"Lists users in the specified Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.UsersListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_list/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Api.Users.sql_users_update/5","doc":"Updates an existing user in a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_update/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_update/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:host` (*type:* `String.t`) - Optional. Host of the user in the instance.\n    *   `:name` (*type:* `String.t`) - Name of the user in the instance.\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1.Model.User.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Api.Users.sql_users_update/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1.Api.Users.html#sql_users_update/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Connection","doc":"Handle Tesla connections for GoogleApi.SQLAdmin.V1.","ref":"GoogleApi.SQLAdmin.V1.Connection.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.SQLAdmin.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.SQLAdmin.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.SQLAdmin.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.SQLAdmin.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.SQLAdmin.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.SQLAdmin.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.SQLAdmin.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.SQLAdmin.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.SQLAdmin.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.SQLAdmin.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.SQLAdmin.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.SQLAdmin.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.SQLAdmin.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Connection.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.AclEntry","doc":"An entry for an Access Control list.","ref":"GoogleApi.SQLAdmin.V1.Model.AclEntry.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.AclEntry","doc":"*   `expirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when this access control entry expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#aclEntry`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. A label to identify this entry.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The allowlisted value for the access control list.","ref":"GoogleApi.SQLAdmin.V1.Model.AclEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.AclEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.AclEntry.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.AclEntry.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.AclEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext","doc":"Acquire SSRS lease context.","ref":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - Lease duration needed for SSRS setup.\n*   `reportDatabase` (*type:* `String.t`, *default:* `nil`) - The report database to be used for SSRS setup.\n*   `serviceLogin` (*type:* `String.t`, *default:* `nil`) - The username to be used as the service login to connect to the report database for SSRS setup.\n*   `setupLogin` (*type:* `String.t`, *default:* `nil`) - The username to be used as the setup login to connect to the database server for SSRS setup.","ref":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures","doc":"Specifies options for controlling advanced machine features.","ref":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures","doc":"*   `threadsPerCore` (*type:* `integer()`, *default:* `nil`) - The number of threads per physical core.","ref":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ApiWarning","doc":"An Admin API warning message.","ref":"GoogleApi.SQLAdmin.V1.Model.ApiWarning.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ApiWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Code to uniquely identify the warning type.\n*   `message` (*type:* `String.t`, *default:* `nil`) - The warning message.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The region name for REGION_UNREACHABLE warning.","ref":"GoogleApi.SQLAdmin.V1.Model.ApiWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ApiWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ApiWarning.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ApiWarning.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ApiWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion","doc":"An available database version. It can be a major or a minor version.","ref":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The database version's display name.\n*   `majorVersion` (*type:* `String.t`, *default:* `nil`) - The version's major version name.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The database version name. For MySQL 8.0, this string provides the database major and minor version.","ref":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration","doc":"Database instance backup configuration.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BackupConfiguration","doc":"*   `backupRetentionSettings` (*type:* `GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.t`, *default:* `nil`) - Backup retention settings.\n*   `binaryLogEnabled` (*type:* `boolean()`, *default:* `nil`) - (MySQL only) Whether binary log is enabled. If backup configuration is disabled, binarylog must be disabled as well.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether this configuration is enabled.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupConfiguration`.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location of the backup\n*   `pointInTimeRecoveryEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether point in time recovery is enabled.\n*   `replicationLogArchivingEnabled` (*type:* `boolean()`, *default:* `nil`) - Reserved for future use.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Start time for the daily backup configuration in UTC timezone in the 24 hour format - `HH:MM`.\n*   `transactionLogRetentionDays` (*type:* `integer()`, *default:* `nil`) - The number of days of transaction logs we retain for point in time restore, from 1-7.\n*   `transactionalLogStorageState` (*type:* `String.t`, *default:* `nil`) - Output only. This value contains the storage location of transactional logs used to perform point-in-time recovery (PITR) for the database.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BackupContext","doc":"Backup context.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BackupContext","doc":"*   `backupId` (*type:* `String.t`, *default:* `nil`) - The identifier of the backup.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupContext`.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BackupContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BackupContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BackupContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig","doc":"Backup Reencryption Config","ref":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig","doc":"*   `backupLimit` (*type:* `integer()`, *default:* `nil`) - Backup re-encryption limit\n*   `backupType` (*type:* `String.t`, *default:* `nil`) - Type of backups users want to re-encrypt.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings","doc":"We currently only support backup retention by specifying the number of backups we will retain.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings","doc":"*   `retainedBackups` (*type:* `integer()`, *default:* `nil`) - Depending on the value of retention_unit, this is used to determine if a backup needs to be deleted. If retention_unit is 'COUNT', we will retain this many backups.\n*   `retentionUnit` (*type:* `String.t`, *default:* `nil`) - The unit that 'retained_backups' represents.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRetentionSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BackupRun","doc":"A BackupRun resource.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRun.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BackupRun","doc":"*   `backupKind` (*type:* `String.t`, *default:* `nil`) - Specifies the kind of backup, PHYSICAL or DEFAULT_SNAPSHOT.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of this run, only applicable to on-demand backups.\n*   `diskEncryptionConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.t`, *default:* `nil`) - Encryption configuration specific to a backup.\n*   `diskEncryptionStatus` (*type:* `GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.t`, *default:* `nil`) - Encryption status specific to a backup.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation completed in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `enqueuedTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the run was enqueued in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `error` (*type:* `GoogleApi.SQLAdmin.V1.Model.OperationError.t`, *default:* `nil`) - Information about why the backup operation failed. This is only present if the run has the FAILED status.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The identifier for this backup run. Unique only for a specific Cloud SQL instance.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - Name of the database instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupRun`.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location of the backups.\n*   `maxChargeableBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The maximum chargeable bytes for the backup.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation actually started in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of this run.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Backup time zone to prevent restores to an instance with a different time zone. Now relevant only for SQL Server.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this run; can be either \"AUTOMATED\" or \"ON_DEMAND\" or \"FINAL\". This field defaults to \"ON_DEMAND\" and is ignored, when specified for insert requests.\n*   `windowStartTime` (*type:* `DateTime.t`, *default:* `nil`) - The start time of the backup window during which this the backup was attempted in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRun.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BackupRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRun.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BackupRun.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRun.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse","doc":"Backup run list results.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.BackupRun.t)`, *default:* `nil`) - A list of backup runs in reverse chronological order of the enqueued time.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupRunsList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BackupRunsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates","doc":"Binary log coordinates.","ref":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates","doc":"*   `binLogFileName` (*type:* `String.t`, *default:* `nil`) - Name of the binary log file for a Cloud SQL instance.\n*   `binLogPosition` (*type:* `String.t`, *default:* `nil`) - Position (offset) within the binary log file.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#binLogCoordinates`.","ref":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.CloneContext","doc":"Database instance clone context.","ref":"GoogleApi.SQLAdmin.V1.Model.CloneContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.CloneContext","doc":"*   `allocatedIpRange` (*type:* `String.t`, *default:* `nil`) - The name of the allocated ip range for the private ip Cloud SQL instance. For example: \"google-managed-services-default\". If set, the cloned instance ip will be created in the allocated range. The range name must comply with [RFC 1035](https://tools.ietf.org/html/rfc1035). Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?. Reserved for future use.\n*   `binLogCoordinates` (*type:* `GoogleApi.SQLAdmin.V1.Model.BinLogCoordinates.t`, *default:* `nil`) - Binary log coordinates, if specified, identify the position up to which the source instance is cloned. If not specified, the source instance is cloned up to the most recent binary log coordinates.\n*   `databaseNames` (*type:* `list(String.t)`, *default:* `nil`) - (SQL Server only) Clone only the specified databases from the source instance. Clone all databases if empty.\n*   `destinationInstanceName` (*type:* `String.t`, *default:* `nil`) - Name of the Cloud SQL instance to be created as a clone.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#cloneContext`.\n*   `pitrTimestampMs` (*type:* `String.t`, *default:* `nil`) - Reserved for future use.\n*   `pointInTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp, if specified, identifies the time to which the source instance is cloned.\n*   `preferredSecondaryZone` (*type:* `String.t`, *default:* `nil`) - Optional. Copy clone and point-in-time recovery clone of a regional instance in the specified zones. If not specified, clone to the same secondary zone as the source instance. This value cannot be the same as the preferred_zone field. This field applies to all DB types.\n*   `preferredZone` (*type:* `String.t`, *default:* `nil`) - Optional. Copy clone and point-in-time recovery clone of an instance to the specified zone. If no zone is specified, clone to the same primary zone as the source instance. This field applies to all DB types.","ref":"GoogleApi.SQLAdmin.V1.Model.CloneContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.CloneContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.CloneContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.CloneContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.CloneContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings","doc":"Connect settings retrieval response.","ref":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ConnectSettings","doc":"*   `backendType` (*type:* `String.t`, *default:* `nil`) - `SECOND_GEN`: Cloud SQL database instance. `EXTERNAL`: A database server that is not managed by Google. This property is read-only; use the `tier` property in the `settings` object to determine the database type.\n*   `databaseVersion` (*type:* `String.t`, *default:* `nil`) - The database engine type and version. The `databaseVersion` field cannot be changed after instance creation. MySQL instances: `MYSQL_8_0`, `MYSQL_5_7` (default), or `MYSQL_5_6`. PostgreSQL instances: `POSTGRES_9_6`, `POSTGRES_10`, `POSTGRES_11`, `POSTGRES_12` (default), `POSTGRES_13`, or `POSTGRES_14`. SQL Server instances: `SQLSERVER_2017_STANDARD` (default), `SQLSERVER_2017_ENTERPRISE`, `SQLSERVER_2017_EXPRESS`, `SQLSERVER_2017_WEB`, `SQLSERVER_2019_STANDARD`, `SQLSERVER_2019_ENTERPRISE`, `SQLSERVER_2019_EXPRESS`, or `SQLSERVER_2019_WEB`.\n*   `dnsName` (*type:* `String.t`, *default:* `nil`) - The dns name of the instance.\n*   `ipAddresses` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.IpMapping.t)`, *default:* `nil`) - The assigned IP addresses for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#connectSettings`.\n*   `pscEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether PSC connectivity is enabled for this instance.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The cloud region for the instance. For example, `us-central1`, `europe-west1`. The region cannot be changed after instance creation.\n*   `serverCaCert` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCert.t`, *default:* `nil`) - SSL configuration.\n*   `serverCaMode` (*type:* `String.t`, *default:* `nil`) - Specify what type of CA is used for the server certificate.","ref":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ConnectSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig","doc":"Data cache configurations.","ref":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DataCacheConfig","doc":"*   `dataCacheEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether data cache is enabled for the instance.","ref":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Database","doc":"Represents a SQL database on the Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.Database.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Database","doc":"*   `charset` (*type:* `String.t`, *default:* `nil`) - The Cloud SQL charset value.\n*   `collation` (*type:* `String.t`, *default:* `nil`) - The Cloud SQL collation value.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This field is deprecated and will be removed from a future version of the API.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud SQL instance. This does not include the project ID.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#database`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the database in the Cloud SQL instance. This does not include the project ID or instance name.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `sqlserverDatabaseDetails` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.t`, *default:* `nil`) -","ref":"GoogleApi.SQLAdmin.V1.Model.Database.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Database.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Database.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Database.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Database.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags","doc":"Database flags for Cloud SQL instances.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DatabaseFlags","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the flag. These flags are passed at instance startup, so include both server options and system variables. Flags are specified with underscores, not hyphens. For more information, see [Configuring Database Flags](https://cloud.google.com/sql/docs/mysql/flags) in the Cloud SQL documentation.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The value of the flag. Boolean flags are set to `on` for true and `off` for false. This field must be omitted if the flag doesn't take a value.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance","doc":"A Cloud SQL instance resource.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DatabaseInstance","doc":"*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the instance was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current serving state of the Cloud SQL instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the Cloud SQL instance. This does not include the project ID.\n*   `dnsName` (*type:* `String.t`, *default:* `nil`) - Output only. The dns name of the instance.\n*   `currentDiskSize` (*type:* `String.t`, *default:* `nil`) - The current disk usage of the instance in bytes. This property has been deprecated. Use the \"cloudsql.googleapis.com/database/disk/bytes_used\" metric in Cloud Monitoring API instead. Please see [this announcement](https://groups.google.com/d/msg/google-cloud-sql-announce/I_7-F9EBhT0/BtvFtdFeAgAJ) for details.\n*   `availableMaintenanceVersions` (*type:* `list(String.t)`, *default:* `nil`) - Output only. List all maintenance versions applicable on the instance\n*   `masterInstanceName` (*type:* `String.t`, *default:* `nil`) - The name of the instance which will act as primary in the replication setup.\n*   `gceZone` (*type:* `String.t`, *default:* `nil`) - The Compute Engine zone that the instance is currently serving from. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary zone. WARNING: Changing this might restart the instance.\n*   `diskEncryptionStatus` (*type:* `GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.t`, *default:* `nil`) - Disk encryption status specific to an instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instance`.\n*   `connectionName` (*type:* `String.t`, *default:* `nil`) - Connection name of the Cloud SQL instance used in connection strings.\n*   `upgradableDatabaseVersions` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.AvailableDatabaseVersion.t)`, *default:* `nil`) - Output only. All database versions that are available for upgrade.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - The IPv6 address assigned to the instance. (Deprecated) This property was applicable only to First Generation instances.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - This status indicates whether the instance satisfies PZS. The status is reserved for future use.\n*   `sqlNetworkArchitecture` (*type:* `String.t`, *default:* `nil`) - \n*   `instanceType` (*type:* `String.t`, *default:* `nil`) - The instance type.\n*   `backendType` (*type:* `String.t`, *default:* `nil`) - The backend type. `SECOND_GEN`: Cloud SQL database instance. `EXTERNAL`: A database server that is not managed by Google. This property is read-only; use the `tier` property in the `settings` object to determine the database type.\n*   `replicaNames` (*type:* `list(String.t)`, *default:* `nil`) - The replicas of the instance.\n*   `writeEndpoint` (*type:* `String.t`, *default:* `nil`) - Output only. The dns name of the primary instance in a replication group.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The geographical region of the Cloud SQL instance. It can be one of the [regions](https://cloud.google.com/sql/docs/mysql/locations#location-r) where Cloud SQL operates: For example, `asia-east1`, `europe-west1`, and `us-central1`. The default value is `us-central1`.\n*   `rootPassword` (*type:* `String.t`, *default:* `nil`) - Initial root password. Use only on creation. You must set root passwords before you can connect to PostgreSQL instances.\n*   `maintenanceVersion` (*type:* `String.t`, *default:* `nil`) - The current software version on the instance.\n*   `serverCaCert` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCert.t`, *default:* `nil`) - SSL configuration.\n*   `serviceAccountEmailAddress` (*type:* `String.t`, *default:* `nil`) - The service account email address assigned to the instance.\\This property is read-only.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the project containing the Cloud SQL instance. The Google apps domain is prefixed if applicable.\n*   `secondaryGceZone` (*type:* `String.t`, *default:* `nil`) - The Compute Engine zone that the failover instance is currently serving from for a regional instance. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary/failover zone.\n*   `onPremisesConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.t`, *default:* `nil`) - Configuration specific to on-premises instances.\n*   `settings` (*type:* `GoogleApi.SQLAdmin.V1.Model.Settings.t`, *default:* `nil`) - The user settings.\n*   `databaseInstalledVersion` (*type:* `String.t`, *default:* `nil`) - Output only. Stores the current database version running on the instance including minor version such as `MYSQL_8_0_18`.\n*   `geminiConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.t`, *default:* `nil`) - Gemini instance configuration.\n*   `databaseVersion` (*type:* `String.t`, *default:* `nil`) - The database engine type and version. The `databaseVersion` field cannot be changed after instance creation.\n*   `ipAddresses` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.IpMapping.t)`, *default:* `nil`) - The assigned IP addresses for the instance.\n*   `diskEncryptionConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.t`, *default:* `nil`) - Disk encryption configuration specific to an instance.\n*   `suspensionReason` (*type:* `list(String.t)`, *default:* `nil`) - If the instance state is SUSPENDED, the reason for the suspension.\n*   `pscServiceAttachmentLink` (*type:* `String.t`, *default:* `nil`) - Output only. The link to service attachment of PSC instance.\n*   `failoverReplica` (*type:* `GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.t`, *default:* `nil`) - The name and status of the failover replica.\n*   `scheduledMaintenance` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.t`, *default:* `nil`) - The start time of any upcoming scheduled maintenance for this instance.\n*   `outOfDiskReport` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.t`, *default:* `nil`) - This field represents the report generated by the proactive database wellness job for OutOfDisk issues. * Writers: * the proactive database wellness job for OOD. * Readers: * the proactive database wellness job\n*   `replicationCluster` (*type:* `GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.t`, *default:* `nil`) - Optional. A primary instance and disaster recovery (DR) replica pair. A DR replica is a cross-region replica that you designate for failover in the event that the primary instance experiences regional failure. Only applicable to MySQL.\n*   `maxDiskSize` (*type:* `String.t`, *default:* `nil`) - The maximum disk size of the instance in bytes.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This field is deprecated and will be removed from a future version of the API. Use the `settings.settingsVersion` field instead.\n*   `replicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.t`, *default:* `nil`) - Configuration specific to failover replicas and read replicas.\n*   `switchTransactionLogsToCloudStorageEnabled` (*type:* `boolean()`, *default:* `nil`) - Input only. Whether Cloud SQL is enabled to switch storing point-in-time recovery log files from a data disk to Cloud Storage.\n*   `primaryDnsName` (*type:* `String.t`, *default:* `nil`) - Output only. DEPRECATED: please use write_endpoint instead.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. This status indicates whether the instance satisfies PZI. The status is reserved for future use.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica","doc":"The name and status of the failover replica.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica","doc":"*   `available` (*type:* `boolean()`, *default:* `nil`) - The availability status of the failover replica. A false status indicates that the failover replica is out of sync. The primary instance can only failover to the failover replica when the status is true.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the failover replica. If specified at instance creation, a failover replica is created for the instance. The name doesn't include the project ID.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DatabaseInstanceFailoverReplica.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse","doc":"Database list response.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.Database.t)`, *default:* `nil`) - List of database resources in the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#databasesList`.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DatabasesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DemoteContext","doc":"This context is used to demote an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DemoteContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteContext`.\n*   `sourceRepresentativeInstanceName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the instance which acts as the on-premises primary instance in the replication setup.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DemoteContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DemoteContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration","doc":"Read-replica configuration for connecting to the on-premises primary instance.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteMasterConfiguration`.\n*   `mysqlReplicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.t`, *default:* `nil`) - MySQL specific configuration when replicating from a MySQL on-premises primary instance. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named `master.info` in the data directory.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext","doc":"Database instance demote primary instance context.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteMasterContext`.\n*   `masterInstanceName` (*type:* `String.t`, *default:* `nil`) - The name of the instance which will act as on-premises primary instance in the replication setup.\n*   `replicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.DemoteMasterConfiguration.t`, *default:* `nil`) - Configuration specific to read-replicas replicating from the on-premises primary instance.\n*   `skipReplicationSetup` (*type:* `boolean()`, *default:* `nil`) - Flag to skip replication setup on the instance.\n*   `verifyGtidConsistency` (*type:* `boolean()`, *default:* `nil`) - Verify the GTID consistency for demote operation. Default value: `True`. Setting this flag to `false` enables you to bypass the GTID consistency check between on-premises primary instance and Cloud SQL instance during the demotion operation but also exposes you to the risk of future replication failures. Change the value only if you know the reason for the GTID divergence and are confident that doing so will not cause any replication issues.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration","doc":"Read-replica configuration specific to MySQL databases.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration","doc":"*   `caCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the trusted CA's x509 certificate.\n*   `clientCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's x509 certificate.\n*   `clientKey` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate. The format of the replica's private key can be either PKCS #1 or PKCS #8.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteMasterMysqlReplicaConfiguration`.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for the replication connection.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The username for the replication connection.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DemoteMasterMySqlReplicaConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod","doc":"Deny maintenance Periods. This specifies a date range during when all CSA rollout will be denied.","ref":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod","doc":"*   `endDate` (*type:* `String.t`, *default:* `nil`) - \"deny maintenance period\" end date. If the year of the end date is empty, the year of the start date also must be empty. In this case, it means the no maintenance interval recurs every year. The date is in format yyyy-mm-dd i.e., 2020-11-01, or mm-dd, i.e., 11-01\n*   `startDate` (*type:* `String.t`, *default:* `nil`) - \"deny maintenance period\" start date. If the year of the start date is empty, the year of the end date also must be empty. In this case, it means the deny maintenance period recurs every year. The date is in format yyyy-mm-dd i.e., 2020-11-01, or mm-dd, i.e., 11-01\n*   `time` (*type:* `String.t`, *default:* `nil`) - Time in UTC when the \"deny maintenance period\" starts on start_date and ends on end_date. The time is in format: HH:mm:SS, i.e., 00:00:00","ref":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration","doc":"Disk encryption configuration for an instance.","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#diskEncryptionConfiguration`.\n*   `kmsKeyName` (*type:* `String.t`, *default:* `nil`) - Resource name of KMS key for disk encryption","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus","doc":"Disk encryption status for an instance.","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#diskEncryptionStatus`.\n*   `kmsKeyVersionName` (*type:* `String.t`, *default:* `nil`) - KMS key version used to encrypt the Cloud SQL instance resource","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.DiskEncryptionStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.SQLAdmin.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Empty","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ExportContext","doc":"Database instance export context.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ExportContext","doc":"*   `bakExportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.t`, *default:* `nil`) - Options for exporting BAK files (SQL Server-only)\n*   `csvExportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.t`, *default:* `nil`) - Options for exporting data as CSV. `MySQL` and `PostgreSQL` instances only.\n*   `databases` (*type:* `list(String.t)`, *default:* `nil`) - Databases to be exported. `MySQL instances:` If `fileType` is `SQL` and no database is specified, all databases are exported, except for the `mysql` system database. If `fileType` is `CSV`, you can specify one database, either by using this property or by using the `csvExportOptions.selectQuery` property, which takes precedence over this property. `PostgreSQL instances:` You must specify one database to be exported. If `fileType` is `CSV`, this database must match the one specified in the `csvExportOptions.selectQuery` property. `SQL Server instances:` You must specify one database to be exported, and the `fileType` must be `BAK`.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - The file type for the specified uri.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#exportContext`.\n*   `offload` (*type:* `boolean()`, *default:* `nil`) - Option for export offload.\n*   `sqlExportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.t`, *default:* `nil`) - Options for exporting data as SQL statements.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The path to the file in Google Cloud Storage where the export will be stored. The URI is in the form `gs://bucketName/fileName`. If the file already exists, the request succeeds, but the operation fails. If `fileType` is `SQL` and the filename ends with .gz, the contents are compressed.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ExportContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ExportContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions","doc":"Options for exporting BAK files (SQL Server-only)","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions","doc":"*   `bakType` (*type:* `String.t`, *default:* `nil`) - Type of this bak file will be export, FULL or DIFF, SQL Server only\n*   `copyOnly` (*type:* `boolean()`, *default:* `nil`) - Deprecated: copy_only is deprecated. Use differential_base instead\n*   `differentialBase` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup can be used as a differential base copy_only backup can not be served as differential base\n*   `exportLogEndTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The end timestamp when transaction log will be included in the export operation. [RFC 3339](https://tools.ietf.org/html/rfc3339) format (for example, `2023-10-01T16:19:00.094`) in UTC. When omitted, all available logs until current time will be included. Only applied to Cloud SQL for SQL Server.\n*   `exportLogStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The begin timestamp when transaction log will be included in the export operation. [RFC 3339](https://tools.ietf.org/html/rfc3339) format (for example, `2023-10-01T16:19:00.094`) in UTC. When omitted, all available logs from the beginning of retention period will be included. Only applied to Cloud SQL for SQL Server.\n*   `stripeCount` (*type:* `integer()`, *default:* `nil`) - Option for specifying how many stripes to use for the export. If blank, and the value of the striped field is true, the number of stripes is automatically chosen.\n*   `striped` (*type:* `boolean()`, *default:* `nil`) - Whether or not the export should be striped.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextBakExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions","doc":"Options for exporting data as CSV. `MySQL` and `PostgreSQL` instances only.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions","doc":"*   `escapeCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the character that should appear before a data character that needs to be escaped.\n*   `fieldsTerminatedBy` (*type:* `String.t`, *default:* `nil`) - Specifies the character that separates columns within each row (line) of the file.\n*   `linesTerminatedBy` (*type:* `String.t`, *default:* `nil`) - This is used to separate lines. If a line does not contain all fields, the rest of the columns are set to their default values.\n*   `quoteCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the quoting character to be used when a data value is quoted.\n*   `selectQuery` (*type:* `String.t`, *default:* `nil`) - The select query used to extract the data.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextCsvExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions","doc":"Options for exporting data as SQL statements.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions","doc":"*   `mysqlExportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.t`, *default:* `nil`) - Options for exporting from MySQL.\n*   `parallel` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether or not the export should be parallel.\n*   `postgresExportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.t`, *default:* `nil`) - Options for exporting from a Cloud SQL for PostgreSQL instance.\n*   `schemaOnly` (*type:* `boolean()`, *default:* `nil`) - Export only schemas.\n*   `tables` (*type:* `list(String.t)`, *default:* `nil`) - Tables to export, or that were exported, from the specified database. If you specify tables, specify one and only one database. For PostgreSQL instances, you can specify only one table.\n*   `threads` (*type:* `integer()`, *default:* `nil`) - Optional. The number of threads to use for parallel export.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions","doc":"Options for exporting from MySQL.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions","doc":"*   `masterData` (*type:* `integer()`, *default:* `nil`) - Option to include SQL statement required to set up replication. If set to `1`, the dump file includes a CHANGE MASTER TO statement with the binary log coordinates, and --set-gtid-purged is set to ON. If set to `2`, the CHANGE MASTER TO statement is written as a SQL comment and has no effect. If set to any value other than `1`, --set-gtid-purged is set to OFF.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsMysqlExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions","doc":"Options for exporting from a Cloud SQL for PostgreSQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions","doc":"*   `clean` (*type:* `boolean()`, *default:* `nil`) - Optional. Use this option to include DROP SQL statements. These statements are used to delete database objects before running the import operation.\n*   `ifExists` (*type:* `boolean()`, *default:* `nil`) - Optional. Option to include an IF EXISTS SQL statement with each DROP statement produced by clean.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ExportContextSqlExportOptionsPostgresExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.FailoverContext","doc":"Database instance failover context.","ref":"GoogleApi.SQLAdmin.V1.Model.FailoverContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.FailoverContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#failoverContext`.\n*   `settingsVersion` (*type:* `String.t`, *default:* `nil`) - The current settings version of this instance. Request will be rejected if this version doesn't match the current settings version.","ref":"GoogleApi.SQLAdmin.V1.Model.FailoverContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.FailoverContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.FailoverContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.FailoverContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.FailoverContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Flag","doc":"A flag resource.","ref":"GoogleApi.SQLAdmin.V1.Model.Flag.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Flag","doc":"*   `allowedIntValues` (*type:* `list(String.t)`, *default:* `nil`) - Use this field if only certain integers are accepted. Can be combined with min_value and max_value to add additional values.\n*   `allowedStringValues` (*type:* `list(String.t)`, *default:* `nil`) - For `STRING` flags, a list of strings that the value can be set to.\n*   `appliesTo` (*type:* `list(String.t)`, *default:* `nil`) - The database version this flag applies to. Can be MySQL instances: `MYSQL_8_0`, `MYSQL_8_0_18`, `MYSQL_8_0_26`, `MYSQL_5_7`, or `MYSQL_5_6`. PostgreSQL instances: `POSTGRES_9_6`, `POSTGRES_10`, `POSTGRES_11` or `POSTGRES_12`. SQL Server instances: `SQLSERVER_2017_STANDARD`, `SQLSERVER_2017_ENTERPRISE`, `SQLSERVER_2017_EXPRESS`, `SQLSERVER_2017_WEB`, `SQLSERVER_2019_STANDARD`, `SQLSERVER_2019_ENTERPRISE`, `SQLSERVER_2019_EXPRESS`, or `SQLSERVER_2019_WEB`. See [the complete list](/sql/docs/mysql/admin-api/rest/v1/SqlDatabaseVersion).\n*   `inBeta` (*type:* `boolean()`, *default:* `nil`) - Whether or not the flag is considered in beta.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#flag`.\n*   `maxValue` (*type:* `String.t`, *default:* `nil`) - For `INTEGER` flags, the maximum allowed value.\n*   `minValue` (*type:* `String.t`, *default:* `nil`) - For `INTEGER` flags, the minimum allowed value.\n*   `name` (*type:* `String.t`, *default:* `nil`) - This is the name of the flag. Flag names always use underscores, not hyphens, for example: `max_allowed_packet`\n*   `requiresRestart` (*type:* `boolean()`, *default:* `nil`) - Indicates whether changing this flag will trigger a database restart. Only applicable to Second Generation instances.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the flag. Flags are typed to being `BOOLEAN`, `STRING`, `INTEGER` or `NONE`. `NONE` is used for flags that do not take a value, such as `skip_grant_tables`.","ref":"GoogleApi.SQLAdmin.V1.Model.Flag.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Flag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Flag.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Flag.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Flag.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse","doc":"Flags list response.","ref":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.FlagsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.Flag.t)`, *default:* `nil`) - List of flags.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#flagsList`.","ref":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.FlagsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig","doc":"Gemini instance configuration.","ref":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig","doc":"*   `activeQueryEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the active query is enabled.\n*   `entitled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether Gemini is enabled.\n*   `flagRecommenderEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the flag recommender is enabled.\n*   `googleVacuumMgmtEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the vacuum management is enabled.\n*   `indexAdvisorEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the index advisor is enabled.\n*   `oomSessionCancelEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether canceling the out-of-memory (OOM) session is enabled.","ref":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.GeminiInstanceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest","doc":"Ephemeral certificate creation request.","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest","doc":"*   `access_token` (*type:* `String.t`, *default:* `nil`) - Optional. Access token to include in the signed certificate.\n*   `public_key` (*type:* `String.t`, *default:* `nil`) - PEM encoded public key to include in the signed certificate.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Optional snapshot read timestamp to trade freshness for performance.\n*   `validDuration` (*type:* `String.t`, *default:* `nil`) - Optional. If set, it will contain the cert valid duration.","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse","doc":"Ephemeral certificate creation request.","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse","doc":"*   `ephemeralCert` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCert.t`, *default:* `nil`) - Generated cert","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.GenerateEphemeralCertResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ImportContext","doc":"Database instance import context.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ImportContext","doc":"*   `bakImportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.t`, *default:* `nil`) - Import parameters specific to SQL Server .BAK files\n*   `csvImportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.t`, *default:* `nil`) - Options for importing data as CSV.\n*   `database` (*type:* `String.t`, *default:* `nil`) - The target database for the import. If `fileType` is `SQL`, this field is required only if the import file does not specify a database, and is overridden by any database specification in the import file. If `fileType` is `CSV`, one database must be specified.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - The file type for the specified uri.\\`SQL`: The file contains SQL statements. \\`CSV`: The file contains CSV data.\n*   `importUser` (*type:* `String.t`, *default:* `nil`) - The PostgreSQL user for this import operation. PostgreSQL instances only.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#importContext`.\n*   `sqlImportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.t`, *default:* `nil`) - Optional. Options for importing data from SQL statements.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Path to the import file in Cloud Storage, in the form `gs://bucketName/fileName`. Compressed gzip files (.gz) are supported when `fileType` is `SQL`. The instance must have write permissions to the bucket and read access to the file.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ImportContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ImportContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions","doc":"Import parameters specific to SQL Server .BAK files","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions","doc":"*   `bakType` (*type:* `String.t`, *default:* `nil`) - Type of the bak content, FULL or DIFF\n*   `encryptionOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.t`, *default:* `nil`) - \n*   `noRecovery` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup importing will restore database with NORECOVERY option Applies only to Cloud SQL for SQL Server.\n*   `recoveryOnly` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup importing request will just bring database online without downloading Bak content only one of \"no_recovery\" and \"recovery_only\" can be true otherwise error will return. Applies only to Cloud SQL for SQL Server.\n*   `stopAt` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The timestamp when the import should stop. This timestamp is in the [RFC 3339](https://tools.ietf.org/html/rfc3339) format (for example, `2023-10-01T16:19:00.094`). This field is equivalent to the STOPAT keyword and applies to Cloud SQL for SQL Server only.\n*   `stopAtMark` (*type:* `String.t`, *default:* `nil`) - Optional. The marked transaction where the import should stop. This field is equivalent to the STOPATMARK keyword and applies to Cloud SQL for SQL Server only.\n*   `striped` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup set being restored is striped. Applies only to Cloud SQL for SQL Server.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions","doc":"*   `certPath` (*type:* `String.t`, *default:* `nil`) - Path to the Certificate (.cer) in Cloud Storage, in the form `gs://bucketName/fileName`. The instance must have write permissions to the bucket and read access to the file.\n*   `pvkPassword` (*type:* `String.t`, *default:* `nil`) - Password that encrypts the private key\n*   `pvkPath` (*type:* `String.t`, *default:* `nil`) - Path to the Certificate Private Key (.pvk) in Cloud Storage, in the form `gs://bucketName/fileName`. The instance must have write permissions to the bucket and read access to the file.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextBakImportOptionsEncryptionOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions","doc":"Options for importing data as CSV.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions","doc":"*   `columns` (*type:* `list(String.t)`, *default:* `nil`) - The columns to which CSV data is imported. If not specified, all columns of the database table are loaded with CSV data.\n*   `escapeCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the character that should appear before a data character that needs to be escaped.\n*   `fieldsTerminatedBy` (*type:* `String.t`, *default:* `nil`) - Specifies the character that separates columns within each row (line) of the file.\n*   `linesTerminatedBy` (*type:* `String.t`, *default:* `nil`) - This is used to separate lines. If a line does not contain all fields, the rest of the columns are set to their default values.\n*   `quoteCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the quoting character to be used when a data value is quoted.\n*   `table` (*type:* `String.t`, *default:* `nil`) - The table to which CSV data is imported.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextCsvImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions","doc":"Optional. Options for importing data from SQL statements.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions","doc":"*   `parallel` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether or not the import should be parallel.\n*   `postgresImportOptions` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.t`, *default:* `nil`) - Optional. Options for importing from a Cloud SQL for PostgreSQL instance.\n*   `threads` (*type:* `integer()`, *default:* `nil`) - Optional. The number of threads to use for parallel import.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions","doc":"Optional. Options for importing from a Cloud SQL for PostgreSQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions","doc":"*   `clean` (*type:* `boolean()`, *default:* `nil`) - Optional. The --clean flag for the pg_restore utility. This flag applies only if you enabled Cloud SQL to import files in parallel.\n*   `ifExists` (*type:* `boolean()`, *default:* `nil`) - Optional. The --if-exists flag for the pg_restore utility. This flag applies only if you enabled Cloud SQL to import files in parallel.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ImportContextSqlImportOptionsPostgresImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig","doc":"Insights configuration. This specifies when Cloud SQL Insights feature is enabled and optional configuration.","ref":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InsightsConfig","doc":"*   `queryInsightsEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether Query Insights feature is enabled.\n*   `queryPlansPerMinute` (*type:* `integer()`, *default:* `nil`) - Number of query execution plans captured by Insights per minute for all queries combined. Default is 5.\n*   `queryStringLength` (*type:* `integer()`, *default:* `nil`) - Maximum query length stored in bytes. Default value: 1024 bytes. Range: 256-4500 bytes. Query length more than this field value will be truncated to this value. When unset, query length will be the default value. Changing query length will restart the database.\n*   `recordApplicationTags` (*type:* `boolean()`, *default:* `nil`) - Whether Query Insights will record application tags from query when enabled.\n*   `recordClientAddress` (*type:* `boolean()`, *default:* `nil`) - Whether Query Insights will record client address when enabled.","ref":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InsightsConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstanceReference","doc":"Reference to another Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.InstanceReference.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstanceReference","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud SQL instance being referenced. This does not include the project ID.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the Cloud SQL instance being referenced. The default is the same project ID as the instance references it.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The region of the Cloud SQL instance being referenced.","ref":"GoogleApi.SQLAdmin.V1.Model.InstanceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstanceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstanceReference.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstanceReference.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstanceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest","doc":"Request to acquire a lease for SSRS.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest","doc":"*   `acquireSsrsLeaseContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.t`, *default:* `nil`) - Contains details about the acquire SSRS lease operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesAcquireSsrsLeaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest","doc":"Database instance clone request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest","doc":"*   `cloneContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.CloneContext.t`, *default:* `nil`) - Contains details about the clone operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesCloneRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest","doc":"Database demote primary instance request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest","doc":"*   `demoteMasterContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.DemoteMasterContext.t`, *default:* `nil`) - Contains details about the demoteMaster operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteMasterRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest","doc":"This request is used to demote an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest","doc":"*   `demoteContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.DemoteContext.t`, *default:* `nil`) - Required. Contains details about the demote operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesDemoteRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest","doc":"Database instance export request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest","doc":"*   `exportContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContext.t`, *default:* `nil`) - Contains details about the export operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesExportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest","doc":"Instance failover request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest","doc":"*   `failoverContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.FailoverContext.t`, *default:* `nil`) - Failover Context.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesFailoverRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest","doc":"Database instance import request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest","doc":"*   `importContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContext.t`, *default:* `nil`) - Contains details about the import operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesImportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse","doc":"Database instances list response.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.DatabaseInstance.t)`, *default:* `nil`) - List of database instance resources.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instancesList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.\n*   `warnings` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.ApiWarning.t)`, *default:* `nil`) - List of warnings that occurred while handling the request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse","doc":"Instances ListServerCas response.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse","doc":"*   `activeVersion` (*type:* `String.t`, *default:* `nil`) - \n*   `certs` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SslCert.t)`, *default:* `nil`) - List of server CA certificates for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instancesListServerCas`.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCasResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse","doc":"Instances ListServerCertificates response.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse","doc":"*   `activeVersion` (*type:* `String.t`, *default:* `nil`) - The `sha1_fingerprint` of the active certificate from `server_certs`.\n*   `caCerts` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SslCert.t)`, *default:* `nil`) - List of server CA certificates for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instancesListServerCertificates`.\n*   `serverCerts` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SslCert.t)`, *default:* `nil`) - List of server certificates for the instance, signed by the corresponding CA from the `ca_certs` list.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesListServerCertificatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest","doc":"Database Instance reencrypt request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest","doc":"*   `backupReencryptionConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.BackupReencryptionConfig.t`, *default:* `nil`) - Configuration specific to backup re-encryption","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesReencryptRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest","doc":"Database instance restore backup request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest","doc":"*   `restoreBackupContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.t`, *default:* `nil`) - Parameters required to perform the restore backup operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRestoreBackupRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest","doc":"Rotate server CA request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest","doc":"*   `rotateServerCaContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.t`, *default:* `nil`) - Contains details about the rotate server CA operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCaRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest","doc":"Rotate server certificate request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest","doc":"*   `rotateServerCertificateContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.t`, *default:* `nil`) - Optional. Contains details about the rotate server certificate operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesRotateServerCertificateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest","doc":"Instance truncate log request.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest","doc":"*   `truncateLogContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.t`, *default:* `nil`) - Contains details about the truncate log operation.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.InstancesTruncateLogRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration","doc":"IP Management configuration.","ref":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.IpConfiguration","doc":"*   `allocatedIpRange` (*type:* `String.t`, *default:* `nil`) - The name of the allocated ip range for the private ip Cloud SQL instance. For example: \"google-managed-services-default\". If set, the instance ip will be created in the allocated range. The range name must comply with [RFC 1035](https://tools.ietf.org/html/rfc1035). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?.`\n*   `authorizedNetworks` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.AclEntry.t)`, *default:* `nil`) - The list of external networks that are allowed to connect to the instance using the IP. In 'CIDR' notation, also known as 'slash' notation (for example: `157.197.200.0/24`).\n*   `enablePrivatePathForGoogleCloudServices` (*type:* `boolean()`, *default:* `nil`) - Controls connectivity to private IP instances from Google services, such as BigQuery.\n*   `ipv4Enabled` (*type:* `boolean()`, *default:* `nil`) - Whether the instance is assigned a public IP address or not.\n*   `privateNetwork` (*type:* `String.t`, *default:* `nil`) - The resource link for the VPC network from which the Cloud SQL instance is accessible for private IP. For example, `/projects/myProject/global/networks/default`. This setting can be updated, but it cannot be removed after it is set.\n*   `pscConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.PscConfig.t`, *default:* `nil`) - PSC settings for this instance.\n*   `requireSsl` (*type:* `boolean()`, *default:* `nil`) - Use `ssl_mode` instead. Whether SSL/TLS connections over IP are enforced. If set to false, then allow both non-SSL/non-TLS and SSL/TLS connections. For SSL/TLS connections, the client certificate won't be verified. If set to true, then only allow connections encrypted with SSL/TLS and with valid client certificates. If you want to enforce SSL/TLS without enforcing the requirement for valid client certificates, then use the `ssl_mode` flag instead of the `require_ssl` flag.\n*   `serverCaMode` (*type:* `String.t`, *default:* `nil`) - Specify what type of CA is used for the server certificate.\n*   `sslMode` (*type:* `String.t`, *default:* `nil`) - Specify how SSL/TLS is enforced in database connections. If you must use the `require_ssl` flag for backward compatibility, then only the following value pairs are valid: For PostgreSQL and MySQL: * `ssl_mode=ALLOW_UNENCRYPTED_AND_ENCRYPTED` and `require_ssl=false` * `ssl_mode=ENCRYPTED_ONLY` and `require_ssl=false` * `ssl_mode=TRUSTED_CLIENT_CERTIFICATE_REQUIRED` and `require_ssl=true` For SQL Server: * `ssl_mode=ALLOW_UNENCRYPTED_AND_ENCRYPTED` and `require_ssl=false` * `ssl_mode=ENCRYPTED_ONLY` and `require_ssl=true` The value of `ssl_mode` has priority over the value of `require_ssl`. For example, for the pair `ssl_mode=ENCRYPTED_ONLY` and `require_ssl=false`, `ssl_mode=ENCRYPTED_ONLY` means accept only SSL connections, while `require_ssl=false` means accept both non-SSL and SSL connections. In this case, MySQL and PostgreSQL databases respect `ssl_mode` and accepts only SSL connections.","ref":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.IpConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.IpMapping","doc":"Database instance IP mapping","ref":"GoogleApi.SQLAdmin.V1.Model.IpMapping.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.IpMapping","doc":"*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - The IP address assigned.\n*   `timeToRetire` (*type:* `DateTime.t`, *default:* `nil`) - The due time for this IP to be retired in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`. This field is only available when the IP is scheduled to be retired.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this IP address. A `PRIMARY` address is a public address that can accept incoming connections. A `PRIVATE` address is a private address that can accept incoming connections. An `OUTGOING` address is the source address of connections originating from the instance, if supported.","ref":"GoogleApi.SQLAdmin.V1.Model.IpMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.IpMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.IpMapping.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.IpMapping.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.IpMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.LocationPreference","doc":"Preferred location. This specifies where a Cloud SQL instance is located. Note that if the preferred location is not available, the instance will be located as close as possible within the region. Only one location may be specified.","ref":"GoogleApi.SQLAdmin.V1.Model.LocationPreference.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.LocationPreference","doc":"*   `followGaeApplication` (*type:* `String.t`, *default:* `nil`) - The App Engine application to follow, it must be in the same region as the Cloud SQL instance. WARNING: Changing this might restart the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#locationPreference`.\n*   `secondaryZone` (*type:* `String.t`, *default:* `nil`) - The preferred Compute Engine zone for the secondary/failover (for example: us-central1-a, us-central1-b, etc.). To disable this field, set it to 'no_secondary_zone'.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - The preferred Compute Engine zone (for example: us-central1-a, us-central1-b, etc.). WARNING: Changing this might restart the instance.","ref":"GoogleApi.SQLAdmin.V1.Model.LocationPreference.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.LocationPreference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.LocationPreference.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.LocationPreference.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.LocationPreference.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow","doc":"Maintenance window. This specifies when a Cloud SQL instance is restarted for system maintenance purposes.","ref":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of week - `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`, or `SUNDAY`. Specify in the UTC time zone. Returned in output as an integer, 1 to 7, where `1` equals Monday.\n*   `hour` (*type:* `integer()`, *default:* `nil`) - Hour of day - 0 to 23. Specify in the UTC time zone.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#maintenanceWindow`.\n*   `updateTrack` (*type:* `String.t`, *default:* `nil`) - Maintenance timing settings: `canary`, `stable`, or `week5`. For more information, see [About maintenance on Cloud SQL instances](https://cloud.google.com/sql/docs/mysql/maintenance).","ref":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration","doc":"Read-replica configuration specific to MySQL databases.","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration","doc":"*   `caCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the trusted CA's x509 certificate.\n*   `clientCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's x509 certificate.\n*   `clientKey` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate.\n*   `connectRetryInterval` (*type:* `integer()`, *default:* `nil`) - Seconds to wait between connect retries. MySQL's default is 60 seconds.\n*   `dumpFilePath` (*type:* `String.t`, *default:* `nil`) - Path to a SQL dump file in Google Cloud Storage from which the replica instance is to be created. The URI is in the form gs://bucketName/fileName. Compressed gzip files (.gz) are also supported. Dumps have the binlog co-ordinates from which replication begins. This can be accomplished by setting --master-data to 1 when using mysqldump.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#mysqlReplicaConfiguration`.\n*   `masterHeartbeatPeriod` (*type:* `String.t`, *default:* `nil`) - Interval in milliseconds between replication heartbeats.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for the replication connection.\n*   `sslCipher` (*type:* `String.t`, *default:* `nil`) - A list of permissible ciphers to use for SSL encryption.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The username for the replication connection.\n*   `verifyServerCertificate` (*type:* `boolean()`, *default:* `nil`) - Whether or not to check the primary instance's Common Name value in the certificate that it sends during the SSL handshake.","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig","doc":"MySQL-specific external server sync settings.","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig","doc":"*   `initialSyncFlags` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SyncFlags.t)`, *default:* `nil`) - Flags to use for the initial dump.","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration","doc":"On-premises instance configuration.","ref":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration","doc":"*   `caCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the trusted CA's x509 certificate.\n*   `clientCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's x509 certificate.\n*   `clientKey` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate.\n*   `dumpFilePath` (*type:* `String.t`, *default:* `nil`) - The dump file to create the Cloud SQL replica.\n*   `hostPort` (*type:* `String.t`, *default:* `nil`) - The host and port of the on-premises instance in host:port format\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#onPremisesConfiguration`.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for connecting to on-premises instance.\n*   `sourceInstance` (*type:* `GoogleApi.SQLAdmin.V1.Model.InstanceReference.t`, *default:* `nil`) - The reference to Cloud SQL instance if the source is Cloud SQL.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The username for connecting to on-premises instance.","ref":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.OnPremisesConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Operation","doc":"An Operation resource. For successful operations that return an Operation resource, only the fields relevant to the operation are populated in the resource.","ref":"GoogleApi.SQLAdmin.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Operation","doc":"*   `acquireSsrsLeaseContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.AcquireSsrsLeaseContext.t`, *default:* `nil`) - The context for acquire SSRS lease operation, if applicable.\n*   `apiWarning` (*type:* `GoogleApi.SQLAdmin.V1.Model.ApiWarning.t`, *default:* `nil`) - An Admin API warning message.\n*   `backupContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.BackupContext.t`, *default:* `nil`) - The context for backup operation, if applicable.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The time this operation finished in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `error` (*type:* `GoogleApi.SQLAdmin.V1.Model.OperationErrors.t`, *default:* `nil`) - If errors occurred during processing of this operation, this field will be populated.\n*   `exportContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.ExportContext.t`, *default:* `nil`) - The context for export operation, if applicable.\n*   `importContext` (*type:* `GoogleApi.SQLAdmin.V1.Model.ImportContext.t`, *default:* `nil`) - The context for import operation, if applicable.\n*   `insertTime` (*type:* `DateTime.t`, *default:* `nil`) - The time this operation was enqueued in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operation`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - An identifier that uniquely identifies the operation. You can use this identifier to retrieve the Operations resource that has information about the operation.\n*   `operationType` (*type:* `String.t`, *default:* `nil`) - The type of the operation. Valid values are: * `CREATE` * `DELETE` * `UPDATE` * `RESTART` * `IMPORT` * `EXPORT` * `BACKUP_VOLUME` * `RESTORE_VOLUME` * `CREATE_USER` * `DELETE_USER` * `CREATE_DATABASE` * `DELETE_DATABASE`\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The time this operation actually started in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of an operation.\n*   `targetId` (*type:* `String.t`, *default:* `nil`) - Name of the database instance related to this operation.\n*   `targetLink` (*type:* `String.t`, *default:* `nil`) - \n*   `targetProject` (*type:* `String.t`, *default:* `nil`) - The project ID of the target instance related to this operation.\n*   `user` (*type:* `String.t`, *default:* `nil`) - The email address of the user who initiated this operation.","ref":"GoogleApi.SQLAdmin.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.OperationError","doc":"Database instance operation error.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationError.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.OperationError","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Identifies the specific error that occurred.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operationError`.\n*   `message` (*type:* `String.t`, *default:* `nil`) - Additional information about the error encountered.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationError.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.OperationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationError.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.OperationError.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.OperationError.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.OperationErrors","doc":"Database instance operation errors list wrapper.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationErrors.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.OperationErrors","doc":"*   `errors` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.OperationError.t)`, *default:* `nil`) - The list of errors encountered while processing this operation.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operationErrors`.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.OperationErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationErrors.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.OperationErrors.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.OperationErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata","doc":"Represents the metadata of the long-running operation.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `cancelRequested` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `statusDetail` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse","doc":"Operations list response.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.OperationsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.Operation.t)`, *default:* `nil`) - List of operation resources.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operationsList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.OperationsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus","doc":"Read-only password status.","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.PasswordStatus","doc":"*   `locked` (*type:* `boolean()`, *default:* `nil`) - If true, user does not have login privileges.\n*   `passwordExpirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The expiration time of the current password.","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy","doc":"Database instance local user password validation policy","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy","doc":"*   `complexity` (*type:* `String.t`, *default:* `nil`) - The complexity of the password.\n*   `disallowCompromisedCredentials` (*type:* `boolean()`, *default:* `nil`) - This field is deprecated and will be removed in a future version of the API.\n*   `disallowUsernameSubstring` (*type:* `boolean()`, *default:* `nil`) - Disallow username as a part of the password.\n*   `enablePasswordPolicy` (*type:* `boolean()`, *default:* `nil`) - Whether the password policy is enabled or not.\n*   `minLength` (*type:* `integer()`, *default:* `nil`) - Minimum number of characters allowed.\n*   `passwordChangeInterval` (*type:* `String.t`, *default:* `nil`) - Minimum interval after which the password can be changed. This flag is only supported for PostgreSQL.\n*   `reuseInterval` (*type:* `integer()`, *default:* `nil`) - Number of previous passwords that cannot be reused.","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext","doc":"Perform disk shrink context.","ref":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext","doc":"*   `targetSizeGb` (*type:* `String.t`, *default:* `nil`) - The target disk shrink size in GigaBytes.","ref":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.PerformDiskShrinkContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig","doc":"Settings for an automatically-setup Private Service Connect consumer endpoint that is used to connect to a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig","doc":"*   `consumerNetwork` (*type:* `String.t`, *default:* `nil`) - The consumer network of this consumer endpoint. This must be a resource path that includes both the host project and the network name. For example, `projects/project1/global/networks/network1`. The consumer host project of this network might be different from the consumer service project.\n*   `consumerNetworkStatus` (*type:* `String.t`, *default:* `nil`) - The connection policy status of the consumer network.\n*   `consumerProject` (*type:* `String.t`, *default:* `nil`) - This is the project ID of consumer service project of this consumer endpoint. Optional. This is only applicable if consumer_network is a shared vpc network.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - The IP address of the consumer endpoint.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The connection status of the consumer endpoint.","ref":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.PscConfig","doc":"PSC settings for a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.PscConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.PscConfig","doc":"*   `allowedConsumerProjects` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of consumer projects that are allow-listed for PSC connections to this instance. This instance can be connected to with PSC from any network in these projects. Each consumer project in this list may be represented by a project number (numeric) or by a project id (alphanumeric).\n*   `pscAutoConnections` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.PscAutoConnectionConfig.t)`, *default:* `nil`) - Optional. The list of settings for requested Private Service Connect consumer endpoints that can be used to connect to this Cloud SQL instance.\n*   `pscEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether PSC connectivity is enabled for this instance.","ref":"GoogleApi.SQLAdmin.V1.Model.PscConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.PscConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.PscConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.PscConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.PscConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration","doc":"Read-replica configuration for connecting to the primary instance.","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration","doc":"*   `cascadableReplica` (*type:* `boolean()`, *default:* `nil`) - Optional. Specifies if a SQL Server replica is a cascadable replica. A cascadable replica is a SQL Server cross region replica that supports replica(s) under it.\n*   `failoverTarget` (*type:* `boolean()`, *default:* `nil`) - Specifies if the replica is the failover target. If the field is set to `true`, the replica will be designated as a failover replica. In case the primary instance fails, the replica instance will be promoted as the new primary instance. Only one replica can be specified as failover target, and the replica has to be in different zone with the primary instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#replicaConfiguration`.\n*   `mysqlReplicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.MySqlReplicaConfiguration.t`, *default:* `nil`) - MySQL specific configuration when replicating from a MySQL on-premises primary instance. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named `master.info` in the data directory.","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicaConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster","doc":"A primary instance and disaster recovery (DR) replica pair. A DR replica is a cross-region replica that you designate for failover in the event that the primary instance experiences regional failure. Only applicable to MySQL.","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.ReplicationCluster","doc":"*   `drReplica` (*type:* `boolean()`, *default:* `nil`) - Output only. Read-only field that indicates whether the replica is a DR replica. This field is not set if the instance is a primary instance.\n*   `failoverDrReplicaName` (*type:* `String.t`, *default:* `nil`) - Optional. If the instance is a primary instance, then this field identifies the disaster recovery (DR) replica. A DR replica is an optional configuration for Enterprise Plus edition instances. If the instance is a read replica, then the field is not set. Set this field to a replica name to designate a DR replica for a primary instance. Remove the replica name to remove the DR replica designation.\n*   `psaWriteEndpoint` (*type:* `String.t`, *default:* `nil`) - Output only. If set, it indicates this instance has a private service access (PSA) dns endpoint that is pointing to the primary instance of the cluster. If this instance is the primary, the dns should be pointing to this instance. After Switchover or Replica failover, this DNS endpoint points to the promoted instance. This is a read-only field, returned to the user as information. This field can exist even if a standalone instance does not yet have a replica, or had a DR replica that was deleted.","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.ReplicationCluster.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Reschedule","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Reschedule.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Reschedule","doc":"*   `rescheduleType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the reschedule.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.SQLAdmin.V1.Model.Reschedule.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Reschedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Reschedule.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Reschedule.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Reschedule.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext","doc":"Database instance restore from backup context. Backup context contains source instance id and project id.","ref":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext","doc":"*   `backupRunId` (*type:* `String.t`, *default:* `nil`) - The ID of the backup run to restore from.\n*   `instanceId` (*type:* `String.t`, *default:* `nil`) - The ID of the instance that the backup was taken from.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#restoreBackupContext`.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The full project ID of the source instance.","ref":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.RestoreBackupContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext","doc":"Instance rotate server CA context.","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#rotateServerCaContext`.\n*   `nextVersion` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the next version to be rotated to. If left unspecified, will be rotated to the most recently added server CA version.","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCaContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext","doc":"Instance rotate server certificate context.","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Optional. This is always `sql#rotateServerCertificateContext`.\n*   `nextVersion` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the next version to be rotated to. If left unspecified, will be rotated to the most recently added server certificate version.","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.RotateServerCertificateContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Settings","doc":"Database instance settings.","ref":"GoogleApi.SQLAdmin.V1.Model.Settings.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Settings","doc":"*   `userLabels` (*type:* `map()`, *default:* `nil`) - User-provided labels, represented as a dictionary where each label is a single key value pair.\n*   `replicationType` (*type:* `String.t`, *default:* `nil`) - The type of replication this instance uses. This can be either `ASYNCHRONOUS` or `SYNCHRONOUS`. (Deprecated) This property was only applicable to First Generation instances.\n*   `databaseFlags` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.DatabaseFlags.t)`, *default:* `nil`) - The database flags passed to the instance at startup.\n*   `denyMaintenancePeriods` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.DenyMaintenancePeriod.t)`, *default:* `nil`) - Deny maintenance periods\n*   `enableGoogleMlIntegration` (*type:* `boolean()`, *default:* `nil`) - Optional. When this parameter is set to true, Cloud SQL instances can connect to Vertex AI to pass requests for real-time predictions and insights to the AI. The default value is false. This applies only to Cloud SQL for PostgreSQL instances.\n*   `deletionProtectionEnabled` (*type:* `boolean()`, *default:* `nil`) - Configuration to protect against accidental instance deletion.\n*   `activationPolicy` (*type:* `String.t`, *default:* `nil`) - The activation policy specifies when the instance is activated; it is applicable only when the instance state is RUNNABLE. Valid values: * `ALWAYS`: The instance is on, and remains so even in the absence of connection requests. * `NEVER`: The instance is off; it is not activated, even if a connection request arrives.\n*   `advancedMachineFeatures` (*type:* `GoogleApi.SQLAdmin.V1.Model.AdvancedMachineFeatures.t`, *default:* `nil`) - Specifies advanced machine configuration for the instances relevant only for SQL Server.\n*   `ipConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.IpConfiguration.t`, *default:* `nil`) - The settings for IP Management. This allows to enable or disable the instance IP and manage which external networks can connect to the instance. The IPv4 address cannot be disabled for Second Generation instances.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#settings`.\n*   `settingsVersion` (*type:* `String.t`, *default:* `nil`) - The version of instance settings. This is a required field for update method to make sure concurrent updates are handled properly. During update, use the most recent settingsVersion value for this instance and do not try to update this value.\n*   `maintenanceWindow` (*type:* `GoogleApi.SQLAdmin.V1.Model.MaintenanceWindow.t`, *default:* `nil`) - The maintenance window for this instance. This specifies when the instance can be restarted for maintenance purposes.\n*   `connectorEnforcement` (*type:* `String.t`, *default:* `nil`) - Specifies if connections must use Cloud SQL connectors. Option values include the following: `NOT_REQUIRED` (Cloud SQL instances can be connected without Cloud SQL Connectors) and `REQUIRED` (Only allow connections that use Cloud SQL Connectors). Note that using REQUIRED disables all existing authorized networks. If this field is not specified when creating a new instance, NOT_REQUIRED is used. If this field is not specified when patching or updating an existing instance, it is left unchanged in the instance.\n*   `availabilityType` (*type:* `String.t`, *default:* `nil`) - Availability type. Potential values: * `ZONAL`: The instance serves data from only one zone. Outages in that zone affect data accessibility. * `REGIONAL`: The instance can serve data from more than one zone in a region (it is highly available)./ For more information, see [Overview of the High Availability Configuration](https://cloud.google.com/sql/docs/mysql/high-availability).\n*   `insightsConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.InsightsConfig.t`, *default:* `nil`) - Insights configuration, for now relevant only for Postgres.\n*   `dataDiskSizeGb` (*type:* `String.t`, *default:* `nil`) - The size of data disk, in GB. The data disk size minimum is 10GB.\n*   `backupConfiguration` (*type:* `GoogleApi.SQLAdmin.V1.Model.BackupConfiguration.t`, *default:* `nil`) - The daily backup configuration for the instance.\n*   `authorizedGaeApplications` (*type:* `list(String.t)`, *default:* `nil`) - The App Engine app IDs that can access this instance. (Deprecated) Applied to First Generation instances only.\n*   `edition` (*type:* `String.t`, *default:* `nil`) - Optional. The edition of the instance.\n*   `dataDiskType` (*type:* `String.t`, *default:* `nil`) - The type of data disk: `PD_SSD` (default) or `PD_HDD`. Not used for First Generation instances.\n*   `databaseReplicationEnabled` (*type:* `boolean()`, *default:* `nil`) - Configuration specific to read replica instances. Indicates whether replication is enabled or not. WARNING: Changing this restarts the instance.\n*   `storageAutoResizeLimit` (*type:* `String.t`, *default:* `nil`) - The maximum size to which storage capacity can be automatically increased. The default value is 0, which specifies that there is no limit.\n*   `collation` (*type:* `String.t`, *default:* `nil`) - The name of server Instance collation.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - The tier (or machine type) for this instance, for example `db-custom-1-3840`. WARNING: Changing this restarts the instance.\n*   `locationPreference` (*type:* `GoogleApi.SQLAdmin.V1.Model.LocationPreference.t`, *default:* `nil`) - The location preference settings. This allows the instance to be located as near as possible to either an App Engine app or Compute Engine zone for better performance. App Engine co-location was only applicable to First Generation instances.\n*   `storageAutoResize` (*type:* `boolean()`, *default:* `nil`) - Configuration to increase storage size automatically. The default value is true.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Server timezone, relevant only for Cloud SQL for SQL Server.\n*   `sqlServerAuditConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.t`, *default:* `nil`) - SQL Server specific audit configuration.\n*   `enableDataplexIntegration` (*type:* `boolean()`, *default:* `nil`) - Optional. By default, Cloud SQL instances have schema extraction disabled for Dataplex. When this parameter is set to true, schema extraction for Dataplex on Cloud SQL instances is activated.\n*   `activeDirectoryConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.t`, *default:* `nil`) - Active Directory configuration, relevant only for Cloud SQL for SQL Server.\n*   `passwordValidationPolicy` (*type:* `GoogleApi.SQLAdmin.V1.Model.PasswordValidationPolicy.t`, *default:* `nil`) - The local user password validation policy of the instance.\n*   `dataCacheConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.DataCacheConfig.t`, *default:* `nil`) - Configuration for data cache.\n*   `pricingPlan` (*type:* `String.t`, *default:* `nil`) - The pricing plan for this instance. This can be either `PER_USE` or `PACKAGE`. Only `PER_USE` is supported for Second Generation instances.\n*   `crashSafeReplicationEnabled` (*type:* `boolean()`, *default:* `nil`) - Configuration specific to read replica instances. Indicates whether database flags for crash-safe replication are enabled. This property was only applicable to First Generation instances.","ref":"GoogleApi.SQLAdmin.V1.Model.Settings.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Settings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Settings.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Settings.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Settings.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig","doc":"Active Directory configuration, relevant only for Cloud SQL for SQL Server.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig","doc":"*   `domain` (*type:* `String.t`, *default:* `nil`) - The name of the domain (e.g., mydomain.com).\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always sql#activeDirectoryConfig.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlActiveDirectoryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError","doc":"External primary instance migration setting error/warning.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError","doc":"*   `detail` (*type:* `String.t`, *default:* `nil`) - Additional information about the error encountered.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Can be `sql#externalSyncSettingError` or `sql#externalSyncSettingWarning`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Identifies the specific error that occurred.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse","doc":"Response for the acquire SSRS lease request.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse","doc":"*   `operationId` (*type:* `String.t`, *default:* `nil`) - The unique identifier for this operation.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesAcquireSsrsLeaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse","doc":"Instance get disk shrink config response.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#getDiskShrinkConfig`.\n*   `message` (*type:* `String.t`, *default:* `nil`) - Additional message to customers.\n*   `minimalTargetSizeGb` (*type:* `String.t`, *default:* `nil`) - The minimum size to which a disk can be shrunk in GigaBytes.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetDiskShrinkConfigResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse","doc":"Instance get latest recovery time response.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#getLatestRecoveryTime`.\n*   `latestRecoveryTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp, identifies the latest recovery time of the source instance.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesGetLatestRecoveryTimeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse","doc":"Response for the release SSRS lease request.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse","doc":"*   `operationId` (*type:* `String.t`, *default:* `nil`) - The unique identifier for this operation.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesReleaseSsrsLeaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody","doc":"Reschedule options for maintenance windows.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody","doc":"*   `reschedule` (*type:* `GoogleApi.SQLAdmin.V1.Model.Reschedule.t`, *default:* `nil`) - Required. The type of the reschedule the user wants.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesRescheduleMaintenanceRequestBody.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest","doc":"Instance reset replica size request.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesResetReplicaSizeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest","doc":"Instance start external sync request.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest","doc":"*   `migrationType` (*type:* `String.t`, *default:* `nil`) - Optional. MigrationType configures the migration to use physical files or logical dump files. If not set, then the logical dump file configuration is used. Valid values are `LOGICAL` or `PHYSICAL`. Only applicable to MySQL.\n*   `mysqlSyncConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.t`, *default:* `nil`) - MySQL-specific settings for start external sync.\n*   `skipVerification` (*type:* `boolean()`, *default:* `nil`) - Whether to skip the verification step (VESS).\n*   `syncMode` (*type:* `String.t`, *default:* `nil`) - External sync mode.\n*   `syncParallelLevel` (*type:* `String.t`, *default:* `nil`) - Optional. Parallel level for initial data sync. Currently only applicable for MySQL.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesStartExternalSyncRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest","doc":"Instance verify external sync settings request.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest","doc":"*   `migrationType` (*type:* `String.t`, *default:* `nil`) - Optional. MigrationType configures the migration to use physical files or logical dump files. If not set, then the logical dump file configuration is used. Valid values are `LOGICAL` or `PHYSICAL`. Only applicable to MySQL.\n*   `mysqlSyncConfig` (*type:* `GoogleApi.SQLAdmin.V1.Model.MySqlSyncConfig.t`, *default:* `nil`) - Optional. MySQL-specific settings for start external sync.\n*   `syncMode` (*type:* `String.t`, *default:* `nil`) - External sync mode\n*   `syncParallelLevel` (*type:* `String.t`, *default:* `nil`) - Optional. Parallel level for initial data sync. Only applicable for PostgreSQL.\n*   `verifyConnectionOnly` (*type:* `boolean()`, *default:* `nil`) - Flag to enable verifying connection only\n*   `verifyReplicationOnly` (*type:* `boolean()`, *default:* `nil`) - Optional. Flag to verify settings required by replication setup only","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse","doc":"Instance verify external sync settings response.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse","doc":"*   `errors` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.t)`, *default:* `nil`) - List of migration violations.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#migrationSettingErrorList`.\n*   `warnings` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SqlExternalSyncSettingError.t)`, *default:* `nil`) - List of migration warnings.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport","doc":"This message wraps up the information written by out-of-disk detection job.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport","doc":"*   `sqlMinRecommendedIncreaseSizeGb` (*type:* `integer()`, *default:* `nil`) - The minimum recommended increase size in GigaBytes This field is consumed by the frontend * Writers: * the proactive database wellness job for OOD. * Readers:\n*   `sqlOutOfDiskState` (*type:* `String.t`, *default:* `nil`) - This field represents the state generated by the proactive database wellness job for OutOfDisk issues. * Writers: * the proactive database wellness job for OOD. * Readers: * the proactive database wellness job","ref":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlOutOfDiskReport.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance","doc":"Any scheduled maintenance for this instance.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance","doc":"*   `canDefer` (*type:* `boolean()`, *default:* `nil`) - \n*   `canReschedule` (*type:* `boolean()`, *default:* `nil`) - If the scheduled maintenance can be rescheduled.\n*   `scheduleDeadlineTime` (*type:* `DateTime.t`, *default:* `nil`) - Maintenance cannot be rescheduled to start beyond this deadline.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The start time of any upcoming scheduled maintenance for this instance.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlScheduledMaintenance.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig","doc":"SQL Server specific audit configuration.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig","doc":"*   `bucket` (*type:* `String.t`, *default:* `nil`) - The name of the destination bucket (e.g., gs://mybucket).\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always sql#sqlServerAuditConfig\n*   `retentionInterval` (*type:* `String.t`, *default:* `nil`) - How long to keep generated audit files.\n*   `uploadInterval` (*type:* `String.t`, *default:* `nil`) - How often to upload generated audit files.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerAuditConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails","doc":"Represents a Sql Server database on the Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails","doc":"*   `compatibilityLevel` (*type:* `integer()`, *default:* `nil`) - The version of SQL Server with which the database is to be made compatible\n*   `recoveryModel` (*type:* `String.t`, *default:* `nil`) - The recovery model of a SQL Server database","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerDatabaseDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails","doc":"Represents a Sql Server user on the Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails","doc":"*   `disabled` (*type:* `boolean()`, *default:* `nil`) - If the user has been disabled\n*   `serverRoles` (*type:* `list(String.t)`, *default:* `nil`) - The server roles for this user","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SslCert","doc":"SslCerts Resource","ref":"GoogleApi.SQLAdmin.V1.Model.SslCert.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SslCert","doc":"*   `cert` (*type:* `String.t`, *default:* `nil`) - PEM representation.\n*   `certSerialNumber` (*type:* `String.t`, *default:* `nil`) - Serial number, as extracted from the certificate.\n*   `commonName` (*type:* `String.t`, *default:* `nil`) - User supplied name. Constrained to [a-zA-Z.-_ ]+.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the certificate was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`\n*   `expirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the certificate expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - Name of the database instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#sslCert`.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `sha1Fingerprint` (*type:* `String.t`, *default:* `nil`) - Sha1 Fingerprint.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCert.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SslCert.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCert.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SslCert.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SslCert.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail","doc":"SslCertDetail.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SslCertDetail","doc":"*   `certInfo` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCert.t`, *default:* `nil`) - The public information about the cert.\n*   `certPrivateKey` (*type:* `String.t`, *default:* `nil`) - The private key for the client cert, in pem format. Keep private in order to protect your security.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertDetail.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest","doc":"SslCerts create ephemeral certificate request.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest","doc":"*   `access_token` (*type:* `String.t`, *default:* `nil`) - Access token to include in the signed certificate.\n*   `public_key` (*type:* `String.t`, *default:* `nil`) - PEM encoded public key to include in the signed certificate.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsCreateEphemeralRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest","doc":"SslCerts insert request.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest","doc":"*   `commonName` (*type:* `String.t`, *default:* `nil`) - User supplied name. Must be a distinct name from the other certificates for this instance.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse","doc":"SslCert insert response.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse","doc":"*   `clientCert` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCertDetail.t`, *default:* `nil`) - The new client certificate and private key.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#sslCertsInsert`.\n*   `operation` (*type:* `GoogleApi.SQLAdmin.V1.Model.Operation.t`, *default:* `nil`) - The operation to track the ssl certs insert request.\n*   `serverCaCert` (*type:* `GoogleApi.SQLAdmin.V1.Model.SslCert.t`, *default:* `nil`) - The server Certificate Authority's certificate. If this is missing you can force a new one to be generated by calling resetSslConfig method on instances resource.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsInsertResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse","doc":"SslCerts list response.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.SslCert.t)`, *default:* `nil`) - List of client certificates for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#sslCertsList`.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SslCertsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.SyncFlags","doc":"Initial sync flags for certain Cloud SQL APIs. Currently used for the MySQL external server initial dump.","ref":"GoogleApi.SQLAdmin.V1.Model.SyncFlags.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.SyncFlags","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the flag.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The value of the flag. This field must be omitted if the flag doesn't take a value.","ref":"GoogleApi.SQLAdmin.V1.Model.SyncFlags.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.SyncFlags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.SyncFlags.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.SyncFlags.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.SyncFlags.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.Tier","doc":"A Google Cloud SQL service tier resource.","ref":"GoogleApi.SQLAdmin.V1.Model.Tier.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.Tier","doc":"*   `DiskQuota` (*type:* `String.t`, *default:* `nil`) - The maximum disk size of this tier in bytes.\n*   `RAM` (*type:* `String.t`, *default:* `nil`) - The maximum RAM usage of this tier in bytes.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#tier`.\n*   `region` (*type:* `list(String.t)`, *default:* `nil`) - The applicable regions for this tier.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - An identifier for the machine type, for example, `db-custom-1-3840`. For related information, see [Pricing](/sql/pricing).","ref":"GoogleApi.SQLAdmin.V1.Model.Tier.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.Tier.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.Tier.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.Tier.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.Tier.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse","doc":"Tiers list response.","ref":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.TiersListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.Tier.t)`, *default:* `nil`) - List of tiers.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#tiersList`.","ref":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.TiersListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext","doc":"Database Instance truncate log context.","ref":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.TruncateLogContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#truncateLogContext`.\n*   `logType` (*type:* `String.t`, *default:* `nil`) - The type of log to truncate. Valid values are `MYSQL_GENERAL_TABLE` and `MYSQL_SLOW_TABLE`.","ref":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.TruncateLogContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.User","doc":"A Cloud SQL user resource.","ref":"GoogleApi.SQLAdmin.V1.Model.User.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.User","doc":"*   `dualPasswordType` (*type:* `String.t`, *default:* `nil`) - Dual password status for the user.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This field is deprecated and will be removed from a future version of the API.\n*   `host` (*type:* `String.t`, *default:* `nil`) - Optional. The host from which the user can connect. For `insert` operations, host defaults to an empty string. For `update` operations, host is specified as part of the request URL. The host name cannot be updated after insertion. For a MySQL instance, it's required; for a PostgreSQL or SQL Server instance, it's optional.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud SQL instance. This does not include the project ID. Can be omitted for `update` because it is already specified on the URL.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#user`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the user in the Cloud SQL instance. Can be omitted for `update` because it is already specified in the URL.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for the user.\n*   `passwordPolicy` (*type:* `GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.t`, *default:* `nil`) - User level password validation policy.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable. Can be omitted for `update` because it is already specified on the URL.\n*   `sqlserverUserDetails` (*type:* `GoogleApi.SQLAdmin.V1.Model.SqlServerUserDetails.t`, *default:* `nil`) - \n*   `type` (*type:* `String.t`, *default:* `nil`) - The user type. It determines the method to authenticate the user during login. The default is the database's built-in user type.","ref":"GoogleApi.SQLAdmin.V1.Model.User.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.User.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.User.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.User.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.User.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy","doc":"User level password validation policy.","ref":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy","doc":"*   `allowedFailedAttempts` (*type:* `integer()`, *default:* `nil`) - Number of failed login attempts allowed before user get locked.\n*   `enableFailedAttemptsCheck` (*type:* `boolean()`, *default:* `nil`) - If true, failed login attempts check will be enabled.\n*   `enablePasswordVerification` (*type:* `boolean()`, *default:* `nil`) - If true, the user must specify the current password before changing the password. This flag is supported only for MySQL.\n*   `passwordExpirationDuration` (*type:* `String.t`, *default:* `nil`) - Expiration duration after password is updated.\n*   `status` (*type:* `GoogleApi.SQLAdmin.V1.Model.PasswordStatus.t`, *default:* `nil`) - Output only. Read-only password status.","ref":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.UserPasswordValidationPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse","doc":"User list response.","ref":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1.Model.UsersListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1.Model.User.t)`, *default:* `nil`) - List of user resources in the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#usersList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Unused.","ref":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1.Model.UsersListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4","doc":"API client metadata for GoogleApi.SQLAdmin.V1beta4.","ref":"GoogleApi.SQLAdmin.V1beta4.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.discovery_revision/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns","doc":"API calls for all endpoints tagged `BackupRuns`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_delete/6","doc":"Deletes the backup taken by a backup run.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_delete/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_delete/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `id` (*type:* `String.t`) - The ID of the backup run to delete. To find a backup run ID, use the [list](https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/backupRuns/list) method.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_delete/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_delete/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_get/6","doc":"Retrieves a resource containing information about a backup run.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `id` (*type:* `String.t`) - The ID of this backup run.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.BackupRun{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_insert/5","doc":"Creates a new backup run on demand.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_list/5","doc":"Lists all backup runs associated with the project or a given instance and configuration in the reverse chronological order of the backup initiation time.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID, or \"-\" for all instances. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:maxResults` (*type:* `integer()`) - Maximum number of backup runs per response.\n    *   `:pageToken` (*type:* `String.t`) - A previously-returned page token representing part of the larger set of results to view.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.sql_backup_runs_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.BackupRuns.html#sql_backup_runs_list/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Connect","doc":"API calls for all endpoints tagged `Connect`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.sql_connect_generate_ephemeral/5","doc":"Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html#sql_connect_generate_ephemeral/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Connect.sql_connect_generate_ephemeral/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html#sql_connect_generate_ephemeral/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Connect.sql_connect_generate_ephemeral/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html#sql_connect_generate_ephemeral/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.sql_connect_get/5","doc":"Retrieves connect settings about a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html#sql_connect_get/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Connect.sql_connect_get/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:readTime` (*type:* `DateTime.t`) - Optional. Optional snapshot read timestamp to trade freshness for performance.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html#sql_connect_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Connect.sql_connect_get/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Connect.html#sql_connect_get/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases","doc":"API calls for all endpoints tagged `Databases`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_delete/6","doc":"Deletes a database from a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_delete/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_delete/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database to be deleted in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_delete/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_delete/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_get/6","doc":"Retrieves a resource containing information about a database inside a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Database{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_insert/5","doc":"Inserts a resource containing information about a database inside a Cloud SQL instance. **Note:** You can't modify the default character set and collation.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.Database.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_list/5","doc":"Lists databases in the specified Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_list/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_patch/6","doc":"Partially updates a resource containing information about a database inside a Cloud SQL instance. This method supports patch semantics.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_patch/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_patch/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database to be updated in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.Database.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_patch/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_patch/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_update/6","doc":"Updates a resource containing information about a database inside a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_update/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_update/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `database` (*type:* `String.t`) - Name of the database to be updated in the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.Database.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Databases.sql_databases_update/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Databases.html#sql_databases_update/6-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Flags","doc":"API calls for all endpoints tagged `Flags`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Flags.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Flags.sql_flags_list/3","doc":"Lists all available database flags for Cloud SQL instances.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Flags.html#sql_flags_list/3"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Flags.sql_flags_list/3","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:databaseVersion` (*type:* `String.t`) - Database type and version you want to retrieve flags for. By default, this method returns flags for all database types and versions.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Flags.html#sql_flags_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Flags.sql_flags_list/3","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Flags.html#sql_flags_list/3-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances","doc":"API calls for all endpoints tagged `Instances`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances__list_server_certificates/5","doc":"Lists all versions of server certificates and certificate authorities (CAs) for the specified instance. There can be up to three sets of certs listed: the certificate that is currently in use, a future that has been added but not yet used to sign a certificate, and a certificate that has been rotated out.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances__list_server_certificates/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances__list_server_certificates/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances__list_server_certificates/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances__list_server_certificates/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances__list_server_certificates/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances__rotate_server_certificate/5","doc":"Rotates the server certificate version to one previously added with the addServerCertificate method. For instances not using Certificate Authority Service (CAS) server CA, use RotateServerCa instead.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances__rotate_server_certificate/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances__rotate_server_certificate/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances__rotate_server_certificate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances__rotate_server_certificate/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances__rotate_server_certificate/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_acquire_ssrs_lease/5","doc":"Acquire a lease for the setup of SQL Server Reporting Services (SSRS).","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_acquire_ssrs_lease/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_acquire_ssrs_lease/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. ID of the project that contains the instance (Example: project-id).\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This doesn't include the project ID. It's composed of lowercase letters, numbers, and hyphens, and it must start with a letter. The total length must be 98 characters or less (Example: instance-id).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_acquire_ssrs_lease/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_acquire_ssrs_lease/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_acquire_ssrs_lease/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_add_server_ca/5","doc":"Add a new trusted Certificate Authority (CA) version for the specified instance. Required to prepare for a certificate rotation. If a CA version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one CA version waiting to be rotated in. For instances that have enabled Certificate Authority Service (CAS) based server CA, use AddServerCertificate to add a new server certificate.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_add_server_ca/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_add_server_ca/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_add_server_ca/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_add_server_ca/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_add_server_ca/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_add_server_certificate/5","doc":"Add a new trusted server certificate version for the specified instance using Certificate Authority Service (CAS) server CA. Required to prepare for a certificate rotation. If a server certificate version was previously added but never used in a certificate rotation, this operation replaces that version. There cannot be more than one certificate version waiting to be rotated in. For instances not using CAS server CA, use AddServerCa instead.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_add_server_certificate/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_add_server_certificate/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_add_server_certificate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_add_server_certificate/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_add_server_certificate/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_clone/5","doc":"Creates a Cloud SQL instance as a clone of the source instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_clone/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_clone/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the source as well as the clone Cloud SQL instance.\n*   `instance` (*type:* `String.t`) - The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_clone/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_clone/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_clone/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_delete/5","doc":"Deletes a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_delete/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_delete/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance to be deleted.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:finalBackupExpiryTime` (*type:* `DateTime.t`) - Optional. Final Backup expiration time. Timestamp in UTC of when this resource is considered expired.\n    *   `:finalBackupTtlDays` (*type:* `String.t`) - Optional. Retention period of the final backup.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_delete/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_delete/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_demote/5","doc":"Demotes an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_demote/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_demote/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. The project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Required. The name of the Cloud SQL instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_demote/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_demote/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_demote/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_demote_master/5","doc":"Demotes the stand-alone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_demote_master/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_demote_master/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_demote_master/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_demote_master/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_demote_master/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_export/5","doc":"Exports data from a Cloud SQL instance to a Cloud Storage bucket as a SQL dump or CSV file.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_export/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_export/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance to be exported.\n*   `instance` (*type:* `String.t`) - The Cloud SQL instance ID. This doesn't include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_export/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_export/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_export/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_failover/5","doc":"Initiates a manual failover of a high availability (HA) primary instance to a standby instance, which becomes the primary instance. Users are then rerouted to the new primary. For more information, see the [Overview of high availability](https://cloud.google.com/sql/docs/mysql/high-availability) page in the Cloud SQL documentation. If using Legacy HA (MySQL only), this causes the instance to failover to its failover replica instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_failover/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_failover/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_failover/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_failover/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_failover/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_get/5","doc":"Retrieves a resource containing information about a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_get/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_get/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_get/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_get/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_import/5","doc":"Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_import/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_import/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_import/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_import/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_import/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_insert/4","doc":"Creates a new Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_insert/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_insert/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project to which the newly created Cloud SQL instances should belong.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_insert/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_insert/4-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_list/4","doc":"Lists instances under a given project.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_list/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_list/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project for which to list Cloud SQL instances.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. The expression is in the form of field:value. For example, 'instanceType:CLOUD_SQL_INSTANCE'. Fields can be nested as needed as per their JSON representation, such as 'settings.userLabels.auto_start:true'. Multiple filter queries are space-separated. For example. 'state:RUNNABLE instanceType:CLOUD_SQL_INSTANCE'. By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of instances to return. The service may return fewer than this value. If unspecified, at most 500 instances are returned. The maximum value is 1000; values above 1000 are coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A previously-returned page token representing part of the larger set of results to view.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_list/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_list/4-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_list_server_cas/5","doc":"Lists all of the trusted Certificate Authorities (CAs) for the specified instance. There can be up to three CAs listed: the CA that was used to sign the certificate that is currently in use, a CA that has been added but not yet used to sign a certificate, and a CA used to sign a certificate that has previously rotated out.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_list_server_cas/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_list_server_cas/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_list_server_cas/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_list_server_cas/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_list_server_cas/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_patch/5","doc":"Partially updates settings of a Cloud SQL instance by merging the request with the current configuration. This method supports patch semantics.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_patch/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_patch/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_patch/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_patch/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_promote_replica/5","doc":"Promotes the read replica instance to be an independent Cloud SQL primary instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_promote_replica/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_promote_replica/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:failover` (*type:* `boolean()`) - Set to true to invoke a replica failover to the designated DR replica. As part of replica failover, the promote operation attempts to add the original primary instance as a replica of the promoted DR replica when the original primary instance comes back online. If set to false or not specified, then the original primary instance becomes an independent Cloud SQL primary instance. Only applicable to MySQL.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_promote_replica/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_promote_replica/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_promote_replica/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_reencrypt/5","doc":"Reencrypt CMEK instance with latest key version.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_reencrypt/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_reencrypt/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_reencrypt/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_reencrypt/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_reencrypt/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_release_ssrs_lease/5","doc":"Release a lease for the setup of SQL Server Reporting Services (SSRS).","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_release_ssrs_lease/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_release_ssrs_lease/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Required. The ID of the project that contains the instance (Example: project-id).\n*   `instance` (*type:* `String.t`) - Required. The Cloud SQL instance ID. This doesn't include the project ID. It's composed of lowercase letters, numbers, and hyphens, and it must start with a letter. The total length must be 98 characters or less (Example: instance-id).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_release_ssrs_lease/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_release_ssrs_lease/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_release_ssrs_lease/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_reset_ssl_config/5","doc":"Deletes all client certificates and generates a new server SSL certificate for the instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_reset_ssl_config/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_reset_ssl_config/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_reset_ssl_config/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_reset_ssl_config/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_reset_ssl_config/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_restart/5","doc":"Restarts a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_restart/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_restart/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance to be restarted.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_restart/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_restart/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_restart/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_restore_backup/5","doc":"Restores a backup of a Cloud SQL instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_restore_backup/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_restore_backup/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_restore_backup/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_restore_backup/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_restore_backup/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_rotate_server_ca/5","doc":"Rotates the server certificate to one signed by the Certificate Authority (CA) version previously added with the addServerCA method. For instances that have enabled Certificate Authority Service (CAS) based server CA, use RotateServerCertificate to rotate the server certificate.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_rotate_server_ca/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_rotate_server_ca/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_rotate_server_ca/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_rotate_server_ca/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_rotate_server_ca/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_start_replica/5","doc":"Starts the replication in the read replica instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_start_replica/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_start_replica/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_start_replica/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_start_replica/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_start_replica/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_stop_replica/5","doc":"Stops the replication in the read replica instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_stop_replica/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_stop_replica/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_stop_replica/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_stop_replica/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_stop_replica/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_switchover/5","doc":"Switches over from the primary instance to the designated DR replica instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_switchover/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_switchover/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:dbTimeout` (*type:* `String.t`) - Optional. (MySQL only) Cloud SQL instance operations timeout, which is a sum of all database operations. Default value is 10 minutes and can be modified to a maximum value of 24 hours.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_switchover/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_switchover/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_switchover/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_truncate_log/5","doc":"Truncate MySQL general and slow query log tables MySQL only.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_truncate_log/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_truncate_log/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the Cloud SQL project.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_truncate_log/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_truncate_log/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_truncate_log/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_update/5","doc":"Updates settings of a Cloud SQL instance. Using this operation might cause your instance to restart.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_update/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_update/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Instances.sql_instances_update/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Instances.html#sql_instances_update/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_cancel/5","doc":"Cancels an instance operation that has been performed on an instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_cancel/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_cancel/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `operation` (*type:* `String.t`) - Instance operation ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_cancel/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_cancel/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_cancel/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_get/5","doc":"Retrieves an instance operation that has been performed on an instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_get/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_get/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `operation` (*type:* `String.t`) - Instance operation ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_get/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_get/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_list/4","doc":"Lists all instance operations that have been performed on the given Cloud SQL instance in the reverse chronological order of the start time.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n    *   `:maxResults` (*type:* `integer()`) - Maximum number of operations per response.\n    *   `:pageToken` (*type:* `String.t`) - A previously-returned page token representing part of the larger set of results to view.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Operations.sql_operations_list/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Operations.html#sql_operations_list/4-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_get_disk_shrink_config/5","doc":"Get Disk Shrink Config for a given instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_get_disk_shrink_config/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_get_disk_shrink_config/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_get_disk_shrink_config/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_get_disk_shrink_config/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_get_disk_shrink_config/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_get_latest_recovery_time/5","doc":"Get Latest Recovery Time for a given instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_get_latest_recovery_time/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_get_latest_recovery_time/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_get_latest_recovery_time/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_get_latest_recovery_time/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_get_latest_recovery_time/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_perform_disk_shrink/5","doc":"Perform Disk Shrink on primary instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_perform_disk_shrink/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_perform_disk_shrink/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_perform_disk_shrink/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_perform_disk_shrink/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_perform_disk_shrink/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_reschedule_maintenance/5","doc":"Reschedules the maintenance on the given instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_reschedule_maintenance/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_reschedule_maintenance/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_reschedule_maintenance/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_reschedule_maintenance/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_reschedule_maintenance/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_reset_replica_size/5","doc":"Reset Replica Size to primary instance disk size.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_reset_replica_size/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_reset_replica_size/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the read replica.\n*   `instance` (*type:* `String.t`) - Cloud SQL read replica instance name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_reset_replica_size/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_reset_replica_size/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_reset_replica_size/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_start_external_sync/5","doc":"Start External primary instance migration.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_start_external_sync/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_start_external_sync/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_start_external_sync/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_start_external_sync/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_start_external_sync/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_verify_external_sync_settings/5","doc":"Verify External primary instance external sync settings.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_verify_external_sync_settings/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_verify_external_sync_settings/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_verify_external_sync_settings/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Projects.sql_projects_instances_verify_external_sync_settings/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Projects.html#sql_projects_instances_verify_external_sync_settings/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts","doc":"API calls for all endpoints tagged `SslCerts`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_create_ephemeral/5","doc":"Generates a short-lived X509 certificate containing the provided public key and signed by a private key specific to the target instance. Users may use the certificate to authenticate as themselves when connecting to the database.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_create_ephemeral/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_create_ephemeral/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the Cloud SQL project.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_create_ephemeral/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_create_ephemeral/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SslCert{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_create_ephemeral/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_delete/6","doc":"Deletes the SSL certificate. For First Generation instances, the certificate remains valid until the instance is restarted.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_delete/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_delete/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `sha1_fingerprint` (*type:* `String.t`) - Sha1 FingerPrint.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_delete/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_delete/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_get/6","doc":"Retrieves a particular SSL certificate. Does not include the private key (required for usage). The private key must be saved from the response to initial creation.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `sha1_fingerprint` (*type:* `String.t`) - Sha1 FingerPrint.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SslCert{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_insert/5","doc":"Creates an SSL certificate and returns it along with the private key and server certificate authority. The new certificate will not be usable until the instance is restarted.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_list/5","doc":"Lists all of the current SSL certificates for the instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Cloud SQL instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.sql_ssl_certs_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.SslCerts.html#sql_ssl_certs_list/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Tiers","doc":"API calls for all endpoints tagged `Tiers`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Tiers.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Tiers.sql_tiers_list/4","doc":"Lists all available machine types (tiers) for Cloud SQL, for example, `db-custom-1-3840`. For related information, see [Pricing](/sql/pricing).","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Tiers.html#sql_tiers_list/4"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Tiers.sql_tiers_list/4","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project for which to list tiers.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Tiers.html#sql_tiers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Tiers.sql_tiers_list/4","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Tiers.html#sql_tiers_list/4-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Api.Users","doc":"API calls for all endpoints tagged `Users`.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_delete/5","doc":"Deletes a user from a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_delete/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_delete/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:host` (*type:* `String.t`) - Host of the user in the instance.\n    *   `:name` (*type:* `String.t`) - Name of the user in the instance.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_delete/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_delete/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_get/6","doc":"Retrieves a resource containing information about a user.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_get/6"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_get/6","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `name` (*type:* `String.t`) - User of the instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:host` (*type:* `String.t`) - Host of a user of the instance.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_get/6","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.User{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_get/6-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_insert/5","doc":"Creates a new user in a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_insert/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_insert/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.User.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_insert/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_insert/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_list/5","doc":"Lists users in the specified Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_list/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_list/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_list/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_list/5-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_update/5","doc":"Updates an existing user in a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_update/5"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_update/5","doc":"*   `connection` (*type:* `GoogleApi.SQLAdmin.V1beta4.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID of the project that contains the instance.\n*   `instance` (*type:* `String.t`) - Database instance ID. This does not include the project ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:host` (*type:* `String.t`) - Optional. Host of the user in the instance.\n    *   `:name` (*type:* `String.t`) - Name of the user in the instance.\n    *   `:body` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.User.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Api.Users.sql_users_update/5","doc":"*   `{:ok, %GoogleApi.SQLAdmin.V1beta4.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.SQLAdmin.V1beta4.Api.Users.html#sql_users_update/5-returns"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Connection","doc":"Handle Tesla connections for GoogleApi.SQLAdmin.V1beta4.","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#get/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#head/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.SQLAdmin.V1beta4.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.SQLAdmin.V1beta4.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#options/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#post/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#put/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.SQLAdmin.V1beta4.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.SQLAdmin.V1beta4.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Connection.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry","doc":"An entry for an Access Control list.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.AclEntry","doc":"*   `expirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when this access control entry expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#aclEntry`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. A label to identify this entry.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The allowlisted value for the access control list.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext","doc":"Acquire SSRS lease context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - Lease duration needed for the SSRS setup.\n*   `reportDatabase` (*type:* `String.t`, *default:* `nil`) - The report database to be used for the SSRS setup.\n*   `serviceLogin` (*type:* `String.t`, *default:* `nil`) - The username to be used as the service login to connect to the report database for SSRS setup.\n*   `setupLogin` (*type:* `String.t`, *default:* `nil`) - The username to be used as the setup login to connect to the database server for SSRS setup.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures","doc":"Specifies options for controlling advanced machine features.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures","doc":"*   `threadsPerCore` (*type:* `integer()`, *default:* `nil`) - The number of threads per physical core.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning","doc":"An Admin API warning message.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Code to uniquely identify the warning type.\n*   `message` (*type:* `String.t`, *default:* `nil`) - The warning message.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The region name for REGION_UNREACHABLE warning.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion","doc":"An available database version. It can be a major or a minor version.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The database version's display name.\n*   `majorVersion` (*type:* `String.t`, *default:* `nil`) - The version's major version name.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The database version name. For MySQL 8.0, this string provides the database major and minor version.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration","doc":"Database instance backup configuration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration","doc":"*   `backupRetentionSettings` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.t`, *default:* `nil`) - Backup retention settings.\n*   `binaryLogEnabled` (*type:* `boolean()`, *default:* `nil`) - (MySQL only) Whether binary log is enabled. If backup configuration is disabled, binarylog must be disabled as well.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether this configuration is enabled.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupConfiguration`.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location of the backup\n*   `pointInTimeRecoveryEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether point in time recovery is enabled.\n*   `replicationLogArchivingEnabled` (*type:* `boolean()`, *default:* `nil`) - Reserved for future use.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Start time for the daily backup configuration in UTC timezone in the 24 hour format - `HH:MM`.\n*   `transactionLogRetentionDays` (*type:* `integer()`, *default:* `nil`) - The number of days of transaction logs we retain for point in time restore, from 1-7.\n*   `transactionalLogStorageState` (*type:* `String.t`, *default:* `nil`) - Output only. This value contains the storage location of transactional logs for the database for point-in-time recovery.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext","doc":"Backup context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BackupContext","doc":"*   `backupId` (*type:* `String.t`, *default:* `nil`) - The identifier of the backup.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupContext`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig","doc":"Backup Reencryption Config","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig","doc":"*   `backupLimit` (*type:* `integer()`, *default:* `nil`) - Backup re-encryption limit\n*   `backupType` (*type:* `String.t`, *default:* `nil`) - Type of backups users want to re-encrypt.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings","doc":"We currently only support backup retention by specifying the number of backups we will retain.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings","doc":"*   `retainedBackups` (*type:* `integer()`, *default:* `nil`) - Depending on the value of retention_unit, this is used to determine if a backup needs to be deleted. If retention_unit is 'COUNT', we will retain this many backups.\n*   `retentionUnit` (*type:* `String.t`, *default:* `nil`) - The unit that 'retained_backups' represents.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRetentionSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun","doc":"A BackupRun resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BackupRun","doc":"*   `backupKind` (*type:* `String.t`, *default:* `nil`) - Specifies the kind of backup, PHYSICAL or DEFAULT_SNAPSHOT.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of this run, only applicable to on-demand backups.\n*   `diskEncryptionConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.t`, *default:* `nil`) - Encryption configuration specific to a backup.\n*   `diskEncryptionStatus` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.t`, *default:* `nil`) - Encryption status specific to a backup.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation completed in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `enqueuedTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the run was enqueued in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `error` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.OperationError.t`, *default:* `nil`) - Information about why the backup operation failed. This is only present if the run has the FAILED status.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The identifier for this backup run. Unique only for a specific Cloud SQL instance.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - Name of the database instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupRun`.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location of the backups.\n*   `maxChargeableBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The maximum chargeable bytes for the backup.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation actually started in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of this run.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Backup time zone to prevent restores to an instance with a different time zone. Now relevant only for SQL Server.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this run; can be either \"AUTOMATED\" or \"ON_DEMAND\" or \"FINAL\". This field defaults to \"ON_DEMAND\" and is ignored, when specified for insert requests.\n*   `windowStartTime` (*type:* `DateTime.t`, *default:* `nil`) - The start time of the backup window during which this the backup was attempted in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse","doc":"Backup run list results.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.BackupRun.t)`, *default:* `nil`) - A list of backup runs in reverse chronological order of the enqueued time.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#backupRunsList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BackupRunsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates","doc":"Binary log coordinates.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates","doc":"*   `binLogFileName` (*type:* `String.t`, *default:* `nil`) - Name of the binary log file for a Cloud SQL instance.\n*   `binLogPosition` (*type:* `String.t`, *default:* `nil`) - Position (offset) within the binary log file.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#binLogCoordinates`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext","doc":"Database instance clone context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.CloneContext","doc":"*   `allocatedIpRange` (*type:* `String.t`, *default:* `nil`) - The name of the allocated ip range for the private ip Cloud SQL instance. For example: \"google-managed-services-default\". If set, the cloned instance ip will be created in the allocated range. The range name must comply with [RFC 1035](https://tools.ietf.org/html/rfc1035). Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?. Reserved for future use.\n*   `binLogCoordinates` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.BinLogCoordinates.t`, *default:* `nil`) - Binary log coordinates, if specified, identify the position up to which the source instance is cloned. If not specified, the source instance is cloned up to the most recent binary log coordinates.\n*   `databaseNames` (*type:* `list(String.t)`, *default:* `nil`) - (SQL Server only) Clone only the specified databases from the source instance. Clone all databases if empty.\n*   `destinationInstanceName` (*type:* `String.t`, *default:* `nil`) - Name of the Cloud SQL instance to be created as a clone.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#cloneContext`.\n*   `pitrTimestampMs` (*type:* `String.t`, *default:* `nil`) - Reserved for future use.\n*   `pointInTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp, if specified, identifies the time to which the source instance is cloned.\n*   `preferredSecondaryZone` (*type:* `String.t`, *default:* `nil`) - Optional. Copy clone and point-in-time recovery clone of a regional instance in the specified zones. If not specified, clone to the same secondary zone as the source instance. This value cannot be the same as the preferred_zone field.\n*   `preferredZone` (*type:* `String.t`, *default:* `nil`) - Optional. Copy clone and point-in-time recovery clone of an instance to the specified zone. If no zone is specified, clone to the same primary zone as the source instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings","doc":"Connect settings retrieval response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings","doc":"*   `backendType` (*type:* `String.t`, *default:* `nil`) - `SECOND_GEN`: Cloud SQL database instance. `EXTERNAL`: A database server that is not managed by Google. This property is read-only; use the `tier` property in the `settings` object to determine the database type.\n*   `databaseVersion` (*type:* `String.t`, *default:* `nil`) - The database engine type and version. The `databaseVersion` field cannot be changed after instance creation. MySQL instances: `MYSQL_8_0`, `MYSQL_5_7` (default), or `MYSQL_5_6`. PostgreSQL instances: `POSTGRES_9_6`, `POSTGRES_10`, `POSTGRES_11` or `POSTGRES_12` (default), `POSTGRES_13`, or `POSTGRES_14`. SQL Server instances: `SQLSERVER_2017_STANDARD` (default), `SQLSERVER_2017_ENTERPRISE`, `SQLSERVER_2017_EXPRESS`, `SQLSERVER_2017_WEB`, `SQLSERVER_2019_STANDARD`, `SQLSERVER_2019_ENTERPRISE`, `SQLSERVER_2019_EXPRESS`, or `SQLSERVER_2019_WEB`.\n*   `dnsName` (*type:* `String.t`, *default:* `nil`) - The dns name of the instance.\n*   `ipAddresses` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.t)`, *default:* `nil`) - The assigned IP addresses for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#connectSettings`.\n*   `pscEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether PSC connectivity is enabled for this instance.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The cloud region for the instance. e.g. `us-central1`, `europe-west1`. The region cannot be changed after instance creation.\n*   `serverCaCert` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t`, *default:* `nil`) - SSL configuration.\n*   `serverCaMode` (*type:* `String.t`, *default:* `nil`) - Specify what type of CA is used for the server certificate.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ConnectSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig","doc":"Data cache configurations.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig","doc":"*   `dataCacheEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether data cache is enabled for the instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Database","doc":"Represents a SQL database on the Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Database.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Database","doc":"*   `charset` (*type:* `String.t`, *default:* `nil`) - The Cloud SQL charset value.\n*   `collation` (*type:* `String.t`, *default:* `nil`) - The Cloud SQL collation value.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This field is deprecated and will be removed from a future version of the API.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud SQL instance. This does not include the project ID.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#database`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the database in the Cloud SQL instance. This does not include the project ID or instance name.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `sqlserverDatabaseDetails` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.t`, *default:* `nil`) -","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Database.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Database.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Database.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Database.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Database.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags","doc":"Database flags for Cloud SQL instances.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the flag. These flags are passed at instance startup, so include both server options and system variables. Flags are specified with underscores, not hyphens. For more information, see [Configuring Database Flags](https://cloud.google.com/sql/docs/mysql/flags) in the Cloud SQL documentation.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The value of the flag. Boolean flags are set to `on` for true and `off` for false. This field must be omitted if the flag doesn't take a value.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance","doc":"A Cloud SQL instance resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance","doc":"*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the instance was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current serving state of the Cloud SQL instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the Cloud SQL instance. This does not include the project ID.\n*   `dnsName` (*type:* `String.t`, *default:* `nil`) - Output only. The dns name of the instance.\n*   `currentDiskSize` (*type:* `String.t`, *default:* `nil`) - The current disk usage of the instance in bytes. This property has been deprecated. Use the \"cloudsql.googleapis.com/database/disk/bytes_used\" metric in Cloud Monitoring API instead. Please see [this announcement](https://groups.google.com/d/msg/google-cloud-sql-announce/I_7-F9EBhT0/BtvFtdFeAgAJ) for details.\n*   `availableMaintenanceVersions` (*type:* `list(String.t)`, *default:* `nil`) - Output only. List all maintenance versions applicable on the instance\n*   `masterInstanceName` (*type:* `String.t`, *default:* `nil`) - The name of the instance which will act as primary in the replication setup.\n*   `gceZone` (*type:* `String.t`, *default:* `nil`) - The Compute Engine zone that the instance is currently serving from. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary zone. WARNING: Changing this might restart the instance.\n*   `diskEncryptionStatus` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.t`, *default:* `nil`) - Disk encryption status specific to an instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instance`.\n*   `connectionName` (*type:* `String.t`, *default:* `nil`) - Connection name of the Cloud SQL instance used in connection strings.\n*   `upgradableDatabaseVersions` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.AvailableDatabaseVersion.t)`, *default:* `nil`) - Output only. All database versions that are available for upgrade.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - The IPv6 address assigned to the instance. (Deprecated) This property was applicable only to First Generation instances.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - This status indicates whether the instance satisfies PZS. The status is reserved for future use.\n*   `sqlNetworkArchitecture` (*type:* `String.t`, *default:* `nil`) - The SQL network architecture for the instance.\n*   `instanceType` (*type:* `String.t`, *default:* `nil`) - The instance type.\n*   `backendType` (*type:* `String.t`, *default:* `nil`) - The backend type. `SECOND_GEN`: Cloud SQL database instance. `EXTERNAL`: A database server that is not managed by Google. This property is read-only; use the `tier` property in the `settings` object to determine the database type.\n*   `replicaNames` (*type:* `list(String.t)`, *default:* `nil`) - The replicas of the instance.\n*   `writeEndpoint` (*type:* `String.t`, *default:* `nil`) - Output only. The dns name of the primary instance in a replication group.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The geographical region of the Cloud SQL instance. It can be one of the [regions](https://cloud.google.com/sql/docs/mysql/locations#location-r) where Cloud SQL operates: For example, `asia-east1`, `europe-west1`, and `us-central1`. The default value is `us-central1`.\n*   `rootPassword` (*type:* `String.t`, *default:* `nil`) - Initial root password. Use only on creation. You must set root passwords before you can connect to PostgreSQL instances.\n*   `maintenanceVersion` (*type:* `String.t`, *default:* `nil`) - The current software version on the instance.\n*   `serverCaCert` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t`, *default:* `nil`) - SSL configuration.\n*   `serviceAccountEmailAddress` (*type:* `String.t`, *default:* `nil`) - The service account email address assigned to the instance. \\This property is read-only.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the project containing the Cloud SQL instance. The Google apps domain is prefixed if applicable.\n*   `secondaryGceZone` (*type:* `String.t`, *default:* `nil`) - The Compute Engine zone that the failover instance is currently serving from for a regional instance. This value could be different from the zone that was specified when the instance was created if the instance has failed over to its secondary/failover zone.\n*   `onPremisesConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.t`, *default:* `nil`) - Configuration specific to on-premises instances.\n*   `settings` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.Settings.t`, *default:* `nil`) - The user settings.\n*   `databaseInstalledVersion` (*type:* `String.t`, *default:* `nil`) - Output only. Stores the current database version running on the instance including minor version such as `MYSQL_8_0_18`.\n*   `geminiConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.t`, *default:* `nil`) - Gemini instance configuration.\n*   `databaseVersion` (*type:* `String.t`, *default:* `nil`) - The database engine type and version. The `databaseVersion` field cannot be changed after instance creation.\n*   `ipAddresses` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.t)`, *default:* `nil`) - The assigned IP addresses for the instance.\n*   `diskEncryptionConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.t`, *default:* `nil`) - Disk encryption configuration specific to an instance.\n*   `suspensionReason` (*type:* `list(String.t)`, *default:* `nil`) - If the instance state is SUSPENDED, the reason for the suspension.\n*   `pscServiceAttachmentLink` (*type:* `String.t`, *default:* `nil`) - Output only. The link to service attachment of PSC instance.\n*   `failoverReplica` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.t`, *default:* `nil`) - The name and status of the failover replica.\n*   `scheduledMaintenance` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.t`, *default:* `nil`) - The start time of any upcoming scheduled maintenance for this instance.\n*   `outOfDiskReport` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.t`, *default:* `nil`) - This field represents the report generated by the proactive database wellness job for OutOfDisk issues. * Writers: * the proactive database wellness job for OOD. * Readers: * the proactive database wellness job\n*   `replicationCluster` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.t`, *default:* `nil`) - A primary instance and disaster recovery (DR) replica pair. A DR replica is a cross-region replica that you designate for failover in the event that the primary instance experiences regional failure. Only applicable to MySQL.\n*   `maxDiskSize` (*type:* `String.t`, *default:* `nil`) - The maximum disk size of the instance in bytes.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This field is deprecated and will be removed from a future version of the API. Use the `settings.settingsVersion` field instead.\n*   `replicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.t`, *default:* `nil`) - Configuration specific to failover replicas and read replicas.\n*   `switchTransactionLogsToCloudStorageEnabled` (*type:* `boolean()`, *default:* `nil`) - Input only. Whether Cloud SQL is enabled to switch storing point-in-time recovery log files from a data disk to Cloud Storage.\n*   `primaryDnsName` (*type:* `String.t`, *default:* `nil`) - Output only. DEPRECATED: please use write_endpoint instead.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. This status indicates whether the instance satisfies PZI. The status is reserved for future use.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica","doc":"The name and status of the failover replica.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica","doc":"*   `available` (*type:* `boolean()`, *default:* `nil`) - The availability status of the failover replica. A false status indicates that the failover replica is out of sync. The primary instance can only failover to the failover replica when the status is true.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the failover replica. If specified at instance creation, a failover replica is created for the instance. The name doesn't include the project ID.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstanceFailoverReplica.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse","doc":"Database list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.Database.t)`, *default:* `nil`) - List of database resources in the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#databasesList`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DatabasesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext","doc":"This context is used to demote an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteContext`.\n*   `sourceRepresentativeInstanceName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the instance which acts as an on-premises primary instance in the replication setup.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration","doc":"Read-replica configuration for connecting to the on-premises primary instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteMasterConfiguration`.\n*   `mysqlReplicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.t`, *default:* `nil`) - MySQL specific configuration when replicating from a MySQL on-premises primary instance. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named `master.info` in the data directory.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext","doc":"Database instance demote primary instance context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteMasterContext`.\n*   `masterInstanceName` (*type:* `String.t`, *default:* `nil`) - The name of the instance which will act as on-premises primary instance in the replication setup.\n*   `replicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterConfiguration.t`, *default:* `nil`) - Configuration specific to read-replicas replicating from the on-premises primary instance.\n*   `skipReplicationSetup` (*type:* `boolean()`, *default:* `nil`) - Flag to skip replication setup on the instance.\n*   `verifyGtidConsistency` (*type:* `boolean()`, *default:* `nil`) - Verify the GTID consistency for demote operation. Default value: `True`. Setting this flag to `false` enables you to bypass the GTID consistency check between on-premises primary instance and Cloud SQL instance during the demotion operation but also exposes you to the risk of future replication failures. Change the value only if you know the reason for the GTID divergence and are confident that doing so will not cause any replication issues.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration","doc":"Read-replica configuration specific to MySQL databases.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration","doc":"*   `caCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the trusted CA's x509 certificate.\n*   `clientCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's x509 certificate.\n*   `clientKey` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate. The format of the replica's private key can be either PKCS #1 or PKCS #8.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#demoteMasterMysqlReplicaConfiguration`.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for the replication connection.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The username for the replication connection.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterMySqlReplicaConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod","doc":"Deny Maintenance Periods. This specifies a date range during when all CSA rollout will be denied.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod","doc":"*   `endDate` (*type:* `String.t`, *default:* `nil`) - \"deny maintenance period\" end date. If the year of the end date is empty, the year of the start date also must be empty. In this case, it means the deny maintenance period recurs every year. The date is in format yyyy-mm-dd i.e., 2020-11-01, or mm-dd, i.e., 11-01\n*   `startDate` (*type:* `String.t`, *default:* `nil`) - \"deny maintenance period\" start date. If the year of the start date is empty, the year of the end date also must be empty. In this case, it means the deny maintenance period recurs every year. The date is in format yyyy-mm-dd i.e., 2020-11-01, or mm-dd, i.e., 11-01\n*   `time` (*type:* `String.t`, *default:* `nil`) - Time in UTC when the \"deny maintenance period\" starts on start_date and ends on end_date. The time is in format: HH:mm:SS, i.e., 00:00:00","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration","doc":"Disk encryption configuration for an instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#diskEncryptionConfiguration`.\n*   `kmsKeyName` (*type:* `String.t`, *default:* `nil`) - Resource name of KMS key for disk encryption","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus","doc":"Disk encryption status for an instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#diskEncryptionStatus`.\n*   `kmsKeyVersionName` (*type:* `String.t`, *default:* `nil`) - KMS key version used to encrypt the Cloud SQL instance resource","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.DiskEncryptionStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Empty","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Empty.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext","doc":"Database instance export context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ExportContext","doc":"*   `bakExportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.t`, *default:* `nil`) - Options for exporting BAK files (SQL Server-only)\n*   `csvExportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.t`, *default:* `nil`) - Options for exporting data as CSV. `MySQL` and `PostgreSQL` instances only.\n*   `databases` (*type:* `list(String.t)`, *default:* `nil`) - Databases to be exported. `MySQL instances:` If `fileType` is `SQL` and no database is specified, all databases are exported, except for the `mysql` system database. If `fileType` is `CSV`, you can specify one database, either by using this property or by using the `csvExportOptions.selectQuery` property, which takes precedence over this property. `PostgreSQL instances:` You must specify one database to be exported. If `fileType` is `CSV`, this database must match the one specified in the `csvExportOptions.selectQuery` property. `SQL Server instances:` You must specify one database to be exported, and the `fileType` must be `BAK`.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - The file type for the specified uri.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#exportContext`.\n*   `offload` (*type:* `boolean()`, *default:* `nil`) - Option for export offload.\n*   `sqlExportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.t`, *default:* `nil`) - Options for exporting data as SQL statements.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The path to the file in Google Cloud Storage where the export will be stored. The URI is in the form `gs://bucketName/fileName`. If the file already exists, the request succeeds, but the operation fails. If `fileType` is `SQL` and the filename ends with .gz, the contents are compressed.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions","doc":"Options for exporting BAK files (SQL Server-only)","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions","doc":"*   `bakType` (*type:* `String.t`, *default:* `nil`) - Type of this bak file will be export, FULL or DIFF, SQL Server only\n*   `copyOnly` (*type:* `boolean()`, *default:* `nil`) - Deprecated: copy_only is deprecated. Use differential_base instead\n*   `differentialBase` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup can be used as a differential base copy_only backup can not be served as differential base\n*   `exportLogEndTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The end timestamp when transaction log will be included in the export operation. [RFC 3339](https://tools.ietf.org/html/rfc3339) format (for example, `2023-10-01T16:19:00.094`) in UTC. When omitted, all available logs until current time will be included. Only applied to Cloud SQL for SQL Server.\n*   `exportLogStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The begin timestamp when transaction log will be included in the export operation. [RFC 3339](https://tools.ietf.org/html/rfc3339) format (for example, `2023-10-01T16:19:00.094`) in UTC. When omitted, all available logs from the beginning of retention period will be included. Only applied to Cloud SQL for SQL Server.\n*   `stripeCount` (*type:* `integer()`, *default:* `nil`) - Option for specifying how many stripes to use for the export. If blank, and the value of the striped field is true, the number of stripes is automatically chosen.\n*   `striped` (*type:* `boolean()`, *default:* `nil`) - Whether or not the export should be striped.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextBakExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions","doc":"Options for exporting data as CSV. `MySQL` and `PostgreSQL` instances only.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions","doc":"*   `escapeCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the character that should appear before a data character that needs to be escaped.\n*   `fieldsTerminatedBy` (*type:* `String.t`, *default:* `nil`) - Specifies the character that separates columns within each row (line) of the file.\n*   `linesTerminatedBy` (*type:* `String.t`, *default:* `nil`) - This is used to separate lines. If a line does not contain all fields, the rest of the columns are set to their default values.\n*   `quoteCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the quoting character to be used when a data value is quoted.\n*   `selectQuery` (*type:* `String.t`, *default:* `nil`) - The select query used to extract the data.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextCsvExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions","doc":"Options for exporting data as SQL statements.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions","doc":"*   `mysqlExportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.t`, *default:* `nil`) - Options for exporting from MySQL.\n*   `parallel` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether or not the export should be parallel.\n*   `postgresExportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.t`, *default:* `nil`) - Options for exporting from a Cloud SQL for PostgreSQL instance.\n*   `schemaOnly` (*type:* `boolean()`, *default:* `nil`) - Export only schemas.\n*   `tables` (*type:* `list(String.t)`, *default:* `nil`) - Tables to export, or that were exported, from the specified database. If you specify tables, specify one and only one database. For PostgreSQL instances, you can specify only one table.\n*   `threads` (*type:* `integer()`, *default:* `nil`) - Optional. The number of threads to use for parallel export.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions","doc":"Options for exporting from MySQL.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions","doc":"*   `masterData` (*type:* `integer()`, *default:* `nil`) - Option to include SQL statement required to set up replication. If set to `1`, the dump file includes a CHANGE MASTER TO statement with the binary log coordinates, and --set-gtid-purged is set to ON. If set to `2`, the CHANGE MASTER TO statement is written as a SQL comment and has no effect. If set to any value other than `1`, --set-gtid-purged is set to OFF.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsMysqlExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions","doc":"Options for exporting from a Cloud SQL for PostgreSQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions","doc":"*   `clean` (*type:* `boolean()`, *default:* `nil`) - Optional. Use this option to include DROP SQL statements. These statements are used to delete database objects before running the import operation.\n*   `ifExists` (*type:* `boolean()`, *default:* `nil`) - Optional. Option to include an IF EXISTS SQL statement with each DROP statement produced by clean.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ExportContextSqlExportOptionsPostgresExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext","doc":"Database instance failover context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#failoverContext`.\n*   `settingsVersion` (*type:* `String.t`, *default:* `nil`) - The current settings version of this instance. Request will be rejected if this version doesn't match the current settings version.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Flag","doc":"A flag resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Flag.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Flag","doc":"*   `allowedIntValues` (*type:* `list(String.t)`, *default:* `nil`) - Use this field if only certain integers are accepted. Can be combined with min_value and max_value to add additional values.\n*   `allowedStringValues` (*type:* `list(String.t)`, *default:* `nil`) - For `STRING` flags, a list of strings that the value can be set to.\n*   `appliesTo` (*type:* `list(String.t)`, *default:* `nil`) - The database version this flag applies to. Can be MySQL instances: `MYSQL_8_0`, `MYSQL_8_0_18`, `MYSQL_8_0_26`, `MYSQL_5_7`, or `MYSQL_5_6`. PostgreSQL instances: `POSTGRES_9_6`, `POSTGRES_10`, `POSTGRES_11` or `POSTGRES_12`. SQL Server instances: `SQLSERVER_2017_STANDARD`, `SQLSERVER_2017_ENTERPRISE`, `SQLSERVER_2017_EXPRESS`, `SQLSERVER_2017_WEB`, `SQLSERVER_2019_STANDARD`, `SQLSERVER_2019_ENTERPRISE`, `SQLSERVER_2019_EXPRESS`, or `SQLSERVER_2019_WEB`. See [the complete list](/sql/docs/mysql/admin-api/rest/v1/SqlDatabaseVersion).\n*   `inBeta` (*type:* `boolean()`, *default:* `nil`) - Whether or not the flag is considered in beta.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#flag`.\n*   `maxValue` (*type:* `String.t`, *default:* `nil`) - For `INTEGER` flags, the maximum allowed value.\n*   `minValue` (*type:* `String.t`, *default:* `nil`) - For `INTEGER` flags, the minimum allowed value.\n*   `name` (*type:* `String.t`, *default:* `nil`) - This is the name of the flag. Flag names always use underscores, not hyphens, for example: `max_allowed_packet`\n*   `requiresRestart` (*type:* `boolean()`, *default:* `nil`) - Indicates whether changing this flag will trigger a database restart. Only applicable to Second Generation instances.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the flag. Flags are typed to being `BOOLEAN`, `STRING`, `INTEGER` or `NONE`. `NONE` is used for flags which do not take a value, such as `skip_grant_tables`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Flag.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Flag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Flag.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Flag.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Flag.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse","doc":"Flags list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.Flag.t)`, *default:* `nil`) - List of flags.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#flagsList`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.FlagsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig","doc":"Gemini instance configuration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig","doc":"*   `activeQueryEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the active query is enabled.\n*   `entitled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether Gemini is enabled.\n*   `flagRecommenderEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the flag recommender is enabled.\n*   `googleVacuumMgmtEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the vacuum management is enabled.\n*   `indexAdvisorEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the index advisor is enabled.\n*   `oomSessionCancelEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether canceling the out-of-memory (OOM) session is enabled.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GeminiInstanceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest","doc":"Ephemeral certificate creation request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest","doc":"*   `access_token` (*type:* `String.t`, *default:* `nil`) - Optional. Access token to include in the signed certificate.\n*   `public_key` (*type:* `String.t`, *default:* `nil`) - PEM encoded public key to include in the signed certificate.\n*   `readTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Optional snapshot read timestamp to trade freshness for performance.\n*   `validDuration` (*type:* `String.t`, *default:* `nil`) - Optional. If set, it will contain the cert valid duration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse","doc":"Ephemeral certificate creation request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse","doc":"*   `ephemeralCert` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t`, *default:* `nil`) - Generated cert","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.GenerateEphemeralCertResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext","doc":"Database instance import context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ImportContext","doc":"*   `bakImportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.t`, *default:* `nil`) - Import parameters specific to SQL Server .BAK files\n*   `csvImportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.t`, *default:* `nil`) - Options for importing data as CSV.\n*   `database` (*type:* `String.t`, *default:* `nil`) - The target database for the import. If `fileType` is `SQL`, this field is required only if the import file does not specify a database, and is overridden by any database specification in the import file. If `fileType` is `CSV`, one database must be specified.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - The file type for the specified uri. * `SQL`: The file contains SQL statements. * `CSV`: The file contains CSV data. * `BAK`: The file contains backup data for a SQL Server instance.\n*   `importUser` (*type:* `String.t`, *default:* `nil`) - The PostgreSQL user for this import operation. PostgreSQL instances only.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#importContext`.\n*   `sqlImportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.t`, *default:* `nil`) - Optional. Options for importing data from SQL statements.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Path to the import file in Cloud Storage, in the form `gs://bucketName/fileName`. Compressed gzip files (.gz) are supported when `fileType` is `SQL`. The instance must have write permissions to the bucket and read access to the file.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions","doc":"Import parameters specific to SQL Server .BAK files","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions","doc":"*   `bakType` (*type:* `String.t`, *default:* `nil`) - Type of the bak content, FULL or DIFF.\n*   `encryptionOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.t`, *default:* `nil`) - \n*   `noRecovery` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup importing will restore database with NORECOVERY option Applies only to Cloud SQL for SQL Server.\n*   `recoveryOnly` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup importing request will just bring database online without downloading Bak content only one of \"no_recovery\" and \"recovery_only\" can be true otherwise error will return. Applies only to Cloud SQL for SQL Server.\n*   `stopAt` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The timestamp when the import should stop. This timestamp is in the [RFC 3339](https://tools.ietf.org/html/rfc3339) format (for example, `2023-10-01T16:19:00.094`). This field is equivalent to the STOPAT keyword and applies to Cloud SQL for SQL Server only.\n*   `stopAtMark` (*type:* `String.t`, *default:* `nil`) - Optional. The marked transaction where the import should stop. This field is equivalent to the STOPATMARK keyword and applies to Cloud SQL for SQL Server only.\n*   `striped` (*type:* `boolean()`, *default:* `nil`) - Whether or not the backup set being restored is striped. Applies only to Cloud SQL for SQL Server.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions","doc":"*   `certPath` (*type:* `String.t`, *default:* `nil`) - Path to the Certificate (.cer) in Cloud Storage, in the form `gs://bucketName/fileName`. The instance must have write permissions to the bucket and read access to the file.\n*   `pvkPassword` (*type:* `String.t`, *default:* `nil`) - Password that encrypts the private key\n*   `pvkPath` (*type:* `String.t`, *default:* `nil`) - Path to the Certificate Private Key (.pvk) in Cloud Storage, in the form `gs://bucketName/fileName`. The instance must have write permissions to the bucket and read access to the file.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextBakImportOptionsEncryptionOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions","doc":"Options for importing data as CSV.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions","doc":"*   `columns` (*type:* `list(String.t)`, *default:* `nil`) - The columns to which CSV data is imported. If not specified, all columns of the database table are loaded with CSV data.\n*   `escapeCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the character that should appear before a data character that needs to be escaped.\n*   `fieldsTerminatedBy` (*type:* `String.t`, *default:* `nil`) - Specifies the character that separates columns within each row (line) of the file.\n*   `linesTerminatedBy` (*type:* `String.t`, *default:* `nil`) - This is used to separate lines. If a line does not contain all fields, the rest of the columns are set to their default values.\n*   `quoteCharacter` (*type:* `String.t`, *default:* `nil`) - Specifies the quoting character to be used when a data value is quoted.\n*   `table` (*type:* `String.t`, *default:* `nil`) - The table to which CSV data is imported.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextCsvImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions","doc":"Optional. Options for importing data from SQL statements.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions","doc":"*   `parallel` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether or not the import should be parallel.\n*   `postgresImportOptions` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.t`, *default:* `nil`) - Optional. Options for importing from a Cloud SQL for PostgreSQL instance.\n*   `threads` (*type:* `integer()`, *default:* `nil`) - Optional. The number of threads to use for parallel import.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions","doc":"Optional. Options for importing from a Cloud SQL for PostgreSQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions","doc":"*   `clean` (*type:* `boolean()`, *default:* `nil`) - Optional. The --clean flag for the pg_restore utility. This flag applies only if you enabled Cloud SQL to import files in parallel.\n*   `ifExists` (*type:* `boolean()`, *default:* `nil`) - Optional. The --if-exists flag for the pg_restore utility. This flag applies only if you enabled Cloud SQL to import files in parallel.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ImportContextSqlImportOptionsPostgresImportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig","doc":"Insights configuration. This specifies when Cloud SQL Insights feature is enabled and optional configuration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig","doc":"*   `queryInsightsEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether Query Insights feature is enabled.\n*   `queryPlansPerMinute` (*type:* `integer()`, *default:* `nil`) - Number of query execution plans captured by Insights per minute for all queries combined. Default is 5.\n*   `queryStringLength` (*type:* `integer()`, *default:* `nil`) - Maximum query length stored in bytes. Default value: 1024 bytes. Range: 256-4500 bytes. Query length more than this field value will be truncated to this value. When unset, query length will be the default value. Changing query length will restart the database.\n*   `recordApplicationTags` (*type:* `boolean()`, *default:* `nil`) - Whether Query Insights will record application tags from query when enabled.\n*   `recordClientAddress` (*type:* `boolean()`, *default:* `nil`) - Whether Query Insights will record client address when enabled.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference","doc":"Reference to another Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud SQL instance being referenced. This does not include the project ID.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the Cloud SQL instance being referenced. The default is the same project ID as the instance references it.\n*   `region` (*type:* `String.t`, *default:* `nil`) - The region of the Cloud SQL instance being referenced.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest","doc":"Request to acquire an SSRS lease for an instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest","doc":"*   `acquireSsrsLeaseContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.t`, *default:* `nil`) - Contains details about the acquire SSRS lease operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesAcquireSsrsLeaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest","doc":"Database instance clone request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest","doc":"*   `cloneContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.CloneContext.t`, *default:* `nil`) - Contains details about the clone operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesCloneRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest","doc":"Database demote primary instance request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest","doc":"*   `demoteMasterContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DemoteMasterContext.t`, *default:* `nil`) - Contains details about the demoteMaster operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteMasterRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest","doc":"This request is used to demote an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest","doc":"*   `demoteContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DemoteContext.t`, *default:* `nil`) - Required. This context is used to demote an existing standalone instance to be a Cloud SQL read replica for an external database server.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesDemoteRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest","doc":"Database instance export request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest","doc":"*   `exportContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.t`, *default:* `nil`) - Contains details about the export operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesExportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest","doc":"Instance failover request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest","doc":"*   `failoverContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.FailoverContext.t`, *default:* `nil`) - Failover Context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesFailoverRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest","doc":"Database instance import request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest","doc":"*   `importContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.t`, *default:* `nil`) - Contains details about the import operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesImportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse","doc":"Database instances list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.DatabaseInstance.t)`, *default:* `nil`) - List of database instance resources.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instancesList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.\n*   `warnings` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.t)`, *default:* `nil`) - List of warnings that occurred while handling the request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse","doc":"Instances ListServerCas response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse","doc":"*   `activeVersion` (*type:* `String.t`, *default:* `nil`) - \n*   `certs` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t)`, *default:* `nil`) - List of server CA certificates for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instancesListServerCas`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCasResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse","doc":"Instances ListServerCertificatess response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse","doc":"*   `activeVersion` (*type:* `String.t`, *default:* `nil`) - The `sha1_fingerprint` of the active certificate from `server_certs`.\n*   `caCerts` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t)`, *default:* `nil`) - List of server CA certificates for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#instancesListServerCertificates`.\n*   `serverCerts` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t)`, *default:* `nil`) - List of server certificates for the instance, signed by the corresponding CA from the `ca_certs` list.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesListServerCertificatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest","doc":"Database Instance reencrypt request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest","doc":"*   `backupReencryptionConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.BackupReencryptionConfig.t`, *default:* `nil`) - Configuration specific to backup re-encryption","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesReencryptRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest","doc":"Database instance restore backup request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest","doc":"*   `restoreBackupContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.t`, *default:* `nil`) - Parameters required to perform the restore backup operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRestoreBackupRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest","doc":"Rotate Server CA request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest","doc":"*   `rotateServerCaContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.t`, *default:* `nil`) - Contains details about the rotate server CA operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCaRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest","doc":"Rotate Server Certificate request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest","doc":"*   `rotateServerCertificateContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.t`, *default:* `nil`) - Optional. Contains details about the rotate server CA operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesRotateServerCertificateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest","doc":"Instance truncate log request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest","doc":"*   `truncateLogContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.t`, *default:* `nil`) - Contains details about the truncate log operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.InstancesTruncateLogRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration","doc":"IP Management configuration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration","doc":"*   `allocatedIpRange` (*type:* `String.t`, *default:* `nil`) - The name of the allocated ip range for the private ip Cloud SQL instance. For example: \"google-managed-services-default\". If set, the instance ip will be created in the allocated range. The range name must comply with [RFC 1035](https://tools.ietf.org/html/rfc1035). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?.`\n*   `authorizedNetworks` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.AclEntry.t)`, *default:* `nil`) - The list of external networks that are allowed to connect to the instance using the IP. In 'CIDR' notation, also known as 'slash' notation (for example: `157.197.200.0/24`).\n*   `enablePrivatePathForGoogleCloudServices` (*type:* `boolean()`, *default:* `nil`) - Controls connectivity to private IP instances from Google services, such as BigQuery.\n*   `ipv4Enabled` (*type:* `boolean()`, *default:* `nil`) - Whether the instance is assigned a public IP address or not.\n*   `privateNetwork` (*type:* `String.t`, *default:* `nil`) - The resource link for the VPC network from which the Cloud SQL instance is accessible for private IP. For example, `/projects/myProject/global/networks/default`. This setting can be updated, but it cannot be removed after it is set.\n*   `pscConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.t`, *default:* `nil`) - PSC settings for this instance.\n*   `requireSsl` (*type:* `boolean()`, *default:* `nil`) - Use `ssl_mode` instead. Whether SSL/TLS connections over IP are enforced. If set to false, then allow both non-SSL/non-TLS and SSL/TLS connections. For SSL/TLS connections, the client certificate won't be verified. If set to true, then only allow connections encrypted with SSL/TLS and with valid client certificates. If you want to enforce SSL/TLS without enforcing the requirement for valid client certificates, then use the `ssl_mode` flag instead of the legacy `require_ssl` flag.\n*   `serverCaMode` (*type:* `String.t`, *default:* `nil`) - Specify what type of CA is used for the server certificate.\n*   `sslMode` (*type:* `String.t`, *default:* `nil`) - Specify how SSL/TLS is enforced in database connections. If you must use the `require_ssl` flag for backward compatibility, then only the following value pairs are valid: For PostgreSQL and MySQL: * `ssl_mode=ALLOW_UNENCRYPTED_AND_ENCRYPTED` and `require_ssl=false` * `ssl_mode=ENCRYPTED_ONLY` and `require_ssl=false` * `ssl_mode=TRUSTED_CLIENT_CERTIFICATE_REQUIRED` and `require_ssl=true` For SQL Server: * `ssl_mode=ALLOW_UNENCRYPTED_AND_ENCRYPTED` and `require_ssl=false` * `ssl_mode=ENCRYPTED_ONLY` and `require_ssl=true` The value of `ssl_mode` has priority over the value of `require_ssl`. For example, for the pair `ssl_mode=ENCRYPTED_ONLY` and `require_ssl=false`, `ssl_mode=ENCRYPTED_ONLY` means accept only SSL connections, while `require_ssl=false` means accept both non-SSL and SSL connections. In this case, MySQL and PostgreSQL databases respect `ssl_mode` and accepts only SSL connections.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping","doc":"Database instance IP mapping","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.IpMapping","doc":"*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - The IP address assigned.\n*   `timeToRetire` (*type:* `DateTime.t`, *default:* `nil`) - The due time for this IP to be retired in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`. This field is only available when the IP is scheduled to be retired.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this IP address. A `PRIMARY` address is a public address that can accept incoming connections. A `PRIVATE` address is a private address that can accept incoming connections. An `OUTGOING` address is the source address of connections originating from the instance, if supported.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.IpMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference","doc":"Preferred location. This specifies where a Cloud SQL instance is located. Note that if the preferred location is not available, the instance will be located as close as possible within the region. Only one location may be specified.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference","doc":"*   `followGaeApplication` (*type:* `String.t`, *default:* `nil`) - The App Engine application to follow, it must be in the same region as the Cloud SQL instance. WARNING: Changing this might restart the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#locationPreference`.\n*   `secondaryZone` (*type:* `String.t`, *default:* `nil`) - The preferred Compute Engine zone for the secondary/failover (for example: us-central1-a, us-central1-b, etc.). To disable this field, set it to 'no_secondary_zone'.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - The preferred Compute Engine zone (for example: us-central1-a, us-central1-b, etc.). WARNING: Changing this might restart the instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow","doc":"Maintenance window. This specifies when a Cloud SQL instance is restarted for system maintenance purposes.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of week - `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`, or `SUNDAY`. Specify in the UTC time zone. Returned in output as an integer, 1 to 7, where `1` equals Monday.\n*   `hour` (*type:* `integer()`, *default:* `nil`) - Hour of day - 0 to 23. Specify in the UTC time zone.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#maintenanceWindow`.\n*   `updateTrack` (*type:* `String.t`, *default:* `nil`) - Maintenance timing settings: `canary`, `stable`, or `week5`. For more information, see [About maintenance on Cloud SQL instances](https://cloud.google.com/sql/docs/mysql/maintenance).","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration","doc":"Read-replica configuration specific to MySQL databases.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration","doc":"*   `caCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the trusted CA's x509 certificate.\n*   `clientCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's x509 certificate.\n*   `clientKey` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate.\n*   `connectRetryInterval` (*type:* `integer()`, *default:* `nil`) - Seconds to wait between connect retries. MySQL's default is 60 seconds.\n*   `dumpFilePath` (*type:* `String.t`, *default:* `nil`) - Path to a SQL dump file in Google Cloud Storage from which the replica instance is to be created. The URI is in the form gs://bucketName/fileName. Compressed gzip files (.gz) are also supported. Dumps have the binlog co-ordinates from which replication begins. This can be accomplished by setting --master-data to 1 when using mysqldump.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#mysqlReplicaConfiguration`.\n*   `masterHeartbeatPeriod` (*type:* `String.t`, *default:* `nil`) - Interval in milliseconds between replication heartbeats.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for the replication connection.\n*   `sslCipher` (*type:* `String.t`, *default:* `nil`) - A list of permissible ciphers to use for SSL encryption.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The username for the replication connection.\n*   `verifyServerCertificate` (*type:* `boolean()`, *default:* `nil`) - Whether or not to check the primary instance's Common Name value in the certificate that it sends during the SSL handshake.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig","doc":"MySQL-specific external server sync settings.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig","doc":"*   `initialSyncFlags` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.t)`, *default:* `nil`) - Flags to use for the initial dump.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration","doc":"On-premises instance configuration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration","doc":"*   `caCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the trusted CA's x509 certificate.\n*   `clientCertificate` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's x509 certificate.\n*   `clientKey` (*type:* `String.t`, *default:* `nil`) - PEM representation of the replica's private key. The corresponsing public key is encoded in the client's certificate.\n*   `dumpFilePath` (*type:* `String.t`, *default:* `nil`) - The dump file to create the Cloud SQL replica.\n*   `hostPort` (*type:* `String.t`, *default:* `nil`) - The host and port of the on-premises instance in host:port format\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#onPremisesConfiguration`.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for connecting to on-premises instance.\n*   `sourceInstance` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InstanceReference.t`, *default:* `nil`) - The reference to Cloud SQL instance if the source is Cloud SQL.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The username for connecting to on-premises instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OnPremisesConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Operation","doc":"An Operation resource. For successful operations that return an Operation resource, only the fields relevant to the operation are populated in the resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Operation","doc":"*   `acquireSsrsLeaseContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.AcquireSsrsLeaseContext.t`, *default:* `nil`) - The context for acquire SSRS lease operation, if applicable.\n*   `apiWarning` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ApiWarning.t`, *default:* `nil`) - An Admin API warning message.\n*   `backupContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.BackupContext.t`, *default:* `nil`) - The context for backup operation, if applicable.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The time this operation finished in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `error` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.t`, *default:* `nil`) - If errors occurred during processing of this operation, this field will be populated.\n*   `exportContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ExportContext.t`, *default:* `nil`) - The context for export operation, if applicable.\n*   `importContext` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.ImportContext.t`, *default:* `nil`) - The context for import operation, if applicable.\n*   `insertTime` (*type:* `DateTime.t`, *default:* `nil`) - The time this operation was enqueued in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operation`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - An identifier that uniquely identifies the operation. You can use this identifier to retrieve the Operations resource that has information about the operation.\n*   `operationType` (*type:* `String.t`, *default:* `nil`) - The type of the operation. Valid values are: * `CREATE` * `DELETE` * `UPDATE` * `RESTART` * `IMPORT` * `EXPORT` * `BACKUP_VOLUME` * `RESTORE_VOLUME` * `CREATE_USER` * `DELETE_USER` * `CREATE_DATABASE` * `DELETE_DATABASE`\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The time this operation actually started in UTC timezone in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of an operation.\n*   `targetId` (*type:* `String.t`, *default:* `nil`) - Name of the database instance related to this operation.\n*   `targetLink` (*type:* `String.t`, *default:* `nil`) - \n*   `targetProject` (*type:* `String.t`, *default:* `nil`) - The project ID of the target instance related to this operation.\n*   `user` (*type:* `String.t`, *default:* `nil`) - The email address of the user who initiated this operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Operation.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError","doc":"Database instance operation error.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.OperationError","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Identifies the specific error that occurred.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operationError`.\n*   `message` (*type:* `String.t`, *default:* `nil`) - Additional information about the error encountered.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationError.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors","doc":"Database instance operation errors list wrapper.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors","doc":"*   `errors` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.OperationError.t)`, *default:* `nil`) - The list of errors encountered while processing this operation.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operationErrors`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata","doc":"Represents the metadata of the long-running operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `cancelRequested` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `statusDetail` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse","doc":"Operations list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.Operation.t)`, *default:* `nil`) - List of operation resources.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#operationsList`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.OperationsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus","doc":"Read-only password status.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus","doc":"*   `locked` (*type:* `boolean()`, *default:* `nil`) - If true, user does not have login privileges.\n*   `passwordExpirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The expiration time of the current password.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy","doc":"Database instance local user password validation policy","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy","doc":"*   `complexity` (*type:* `String.t`, *default:* `nil`) - The complexity of the password.\n*   `disallowCompromisedCredentials` (*type:* `boolean()`, *default:* `nil`) - This field is deprecated and will be removed in a future version of the API.\n*   `disallowUsernameSubstring` (*type:* `boolean()`, *default:* `nil`) - Disallow username as a part of the password.\n*   `enablePasswordPolicy` (*type:* `boolean()`, *default:* `nil`) - Whether the password policy is enabled or not.\n*   `minLength` (*type:* `integer()`, *default:* `nil`) - Minimum number of characters allowed.\n*   `passwordChangeInterval` (*type:* `String.t`, *default:* `nil`) - Minimum interval after which the password can be changed. This flag is only supported for PostgreSQL.\n*   `reuseInterval` (*type:* `integer()`, *default:* `nil`) - Number of previous passwords that cannot be reused.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext","doc":"Perform disk shrink context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext","doc":"*   `targetSizeGb` (*type:* `String.t`, *default:* `nil`) - The target disk shrink size in GigaBytes.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PerformDiskShrinkContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig","doc":"Settings for an automatically-setup Private Service Connect consumer endpoint that is used to connect to a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig","doc":"*   `consumerNetwork` (*type:* `String.t`, *default:* `nil`) - The consumer network of this consumer endpoint. This must be a resource path that includes both the host project and the network name. For example, `projects/project1/global/networks/network1`. The consumer host project of this network might be different from the consumer service project.\n*   `consumerNetworkStatus` (*type:* `String.t`, *default:* `nil`) - The connection policy status of the consumer network.\n*   `consumerProject` (*type:* `String.t`, *default:* `nil`) - This is the project ID of consumer service project of this consumer endpoint. Optional. This is only applicable if consumer_network is a shared vpc network.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - The IP address of the consumer endpoint.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The connection status of the consumer endpoint.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig","doc":"PSC settings for a Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.PscConfig","doc":"*   `allowedConsumerProjects` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of consumer projects that are allow-listed for PSC connections to this instance. This instance can be connected to with PSC from any network in these projects. Each consumer project in this list may be represented by a project number (numeric) or by a project id (alphanumeric).\n*   `pscAutoConnections` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.PscAutoConnectionConfig.t)`, *default:* `nil`) - Optional. The list of settings for requested Private Service Connect consumer endpoints that can be used to connect to this Cloud SQL instance.\n*   `pscEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether PSC connectivity is enabled for this instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.PscConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration","doc":"Read-replica configuration for connecting to the primary instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration","doc":"*   `cascadableReplica` (*type:* `boolean()`, *default:* `nil`) - Optional. Specifies if a SQL Server replica is a cascadable replica. A cascadable replica is a SQL Server cross region replica that supports replica(s) under it.\n*   `failoverTarget` (*type:* `boolean()`, *default:* `nil`) - Specifies if the replica is the failover target. If the field is set to `true` the replica will be designated as a failover replica. In case the primary instance fails, the replica instance will be promoted as the new primary instance. Only one replica can be specified as failover target, and the replica has to be in different zone with the primary instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#replicaConfiguration`.\n*   `mysqlReplicaConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.MySqlReplicaConfiguration.t`, *default:* `nil`) - MySQL specific configuration when replicating from a MySQL on-premises primary instance. Replication configuration information such as the username, password, certificates, and keys are not stored in the instance metadata. The configuration information is used only to set up the replication connection and is stored by MySQL in a file named `master.info` in the data directory.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicaConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster","doc":"A primary instance and disaster recovery (DR) replica pair. A DR replica is a cross-region replica that you designate for failover in the event that the primary instance has regional failure. Only applicable to MySQL.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster","doc":"*   `drReplica` (*type:* `boolean()`, *default:* `nil`) - Output only. Read-only field that indicates whether the replica is a DR replica. This field is not set if the instance is a primary instance.\n*   `failoverDrReplicaName` (*type:* `String.t`, *default:* `nil`) - Optional. If the instance is a primary instance, then this field identifies the disaster recovery (DR) replica. A DR replica is an optional configuration for Enterprise Plus edition instances. If the instance is a read replica, then the field is not set. Set this field to a replica name to designate a DR replica for a primary instance. Remove the replica name to remove the DR replica designation.\n*   `psaWriteEndpoint` (*type:* `String.t`, *default:* `nil`) - Output only. If set, it indicates this instance has a private service access (PSA) dns endpoint that is pointing to the primary instance of the cluster. If this instance is the primary, the dns should be pointing to this instance. After Switchover or Replica failover, this DNS endpoint points to the promoted instance. This is a read-only field, returned to the user as information. This field can exist even if a standalone instance does not yet have a replica, or had a DR replica that was deleted.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.ReplicationCluster.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Reschedule","doc":"*   `rescheduleType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the reschedule.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext","doc":"Database instance restore from backup context. Backup context contains source instance id and project id.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext","doc":"*   `backupRunId` (*type:* `String.t`, *default:* `nil`) - The ID of the backup run to restore from.\n*   `instanceId` (*type:* `String.t`, *default:* `nil`) - The ID of the instance that the backup was taken from.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#restoreBackupContext`.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The full project ID of the source instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RestoreBackupContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext","doc":"Instance rotate server CA context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#rotateServerCaContext`.\n*   `nextVersion` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the next version to be rotated to. If left unspecified, will be rotated to the most recently added server CA version.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCaContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext","doc":"Instance rotate server certificate context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Optional. This is always `sql#rotateServerCertificateContext`.\n*   `nextVersion` (*type:* `String.t`, *default:* `nil`) - Optional. The fingerprint of the next version to be rotated to. If left unspecified, will be rotated to the most recently added server certificate version.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.RotateServerCertificateContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Settings","doc":"Database instance settings.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Settings.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Settings","doc":"*   `userLabels` (*type:* `map()`, *default:* `nil`) - User-provided labels, represented as a dictionary where each label is a single key value pair.\n*   `replicationType` (*type:* `String.t`, *default:* `nil`) - The type of replication this instance uses. This can be either `ASYNCHRONOUS` or `SYNCHRONOUS`. (Deprecated) This property was only applicable to First Generation instances.\n*   `databaseFlags` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.DatabaseFlags.t)`, *default:* `nil`) - The database flags passed to the instance at startup.\n*   `denyMaintenancePeriods` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.DenyMaintenancePeriod.t)`, *default:* `nil`) - Deny maintenance periods\n*   `enableGoogleMlIntegration` (*type:* `boolean()`, *default:* `nil`) - Optional. When this parameter is set to true, Cloud SQL instances can connect to Vertex AI to pass requests for real-time predictions and insights to the AI. The default value is false. This applies only to Cloud SQL for PostgreSQL instances.\n*   `deletionProtectionEnabled` (*type:* `boolean()`, *default:* `nil`) - Configuration to protect against accidental instance deletion.\n*   `activationPolicy` (*type:* `String.t`, *default:* `nil`) - The activation policy specifies when the instance is activated; it is applicable only when the instance state is RUNNABLE. Valid values: * `ALWAYS`: The instance is on, and remains so even in the absence of connection requests. * `NEVER`: The instance is off; it is not activated, even if a connection request arrives.\n*   `advancedMachineFeatures` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.AdvancedMachineFeatures.t`, *default:* `nil`) - Specifies advanced machine configuration for the instances relevant only for SQL Server.\n*   `ipConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.IpConfiguration.t`, *default:* `nil`) - The settings for IP Management. This allows to enable or disable the instance IP and manage which external networks can connect to the instance. The IPv4 address cannot be disabled for Second Generation instances.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#settings`.\n*   `settingsVersion` (*type:* `String.t`, *default:* `nil`) - The version of instance settings. This is a required field for update method to make sure concurrent updates are handled properly. During update, use the most recent settingsVersion value for this instance and do not try to update this value.\n*   `maintenanceWindow` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.MaintenanceWindow.t`, *default:* `nil`) - The maintenance window for this instance. This specifies when the instance can be restarted for maintenance purposes.\n*   `connectorEnforcement` (*type:* `String.t`, *default:* `nil`) - Specifies if connections must use Cloud SQL connectors. Option values include the following: `NOT_REQUIRED` (Cloud SQL instances can be connected without Cloud SQL Connectors) and `REQUIRED` (Only allow connections that use Cloud SQL Connectors) Note that using REQUIRED disables all existing authorized networks. If this field is not specified when creating a new instance, NOT_REQUIRED is used. If this field is not specified when patching or updating an existing instance, it is left unchanged in the instance.\n*   `availabilityType` (*type:* `String.t`, *default:* `nil`) - Availability type. Potential values: * `ZONAL`: The instance serves data from only one zone. Outages in that zone affect data accessibility. * `REGIONAL`: The instance can serve data from more than one zone in a region (it is highly available)./ For more information, see [Overview of the High Availability Configuration](https://cloud.google.com/sql/docs/mysql/high-availability).\n*   `insightsConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.InsightsConfig.t`, *default:* `nil`) - Insights configuration, for now relevant only for Postgres.\n*   `dataDiskSizeGb` (*type:* `String.t`, *default:* `nil`) - The size of data disk, in GB. The data disk size minimum is 10GB.\n*   `backupConfiguration` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.BackupConfiguration.t`, *default:* `nil`) - The daily backup configuration for the instance.\n*   `authorizedGaeApplications` (*type:* `list(String.t)`, *default:* `nil`) - The App Engine app IDs that can access this instance. (Deprecated) Applied to First Generation instances only.\n*   `edition` (*type:* `String.t`, *default:* `nil`) - Optional. The edition of the instance.\n*   `dataDiskType` (*type:* `String.t`, *default:* `nil`) - The type of data disk: `PD_SSD` (default) or `PD_HDD`. Not used for First Generation instances.\n*   `databaseReplicationEnabled` (*type:* `boolean()`, *default:* `nil`) - Configuration specific to read replica instances. Indicates whether replication is enabled or not. WARNING: Changing this restarts the instance.\n*   `storageAutoResizeLimit` (*type:* `String.t`, *default:* `nil`) - The maximum size to which storage capacity can be automatically increased. The default value is 0, which specifies that there is no limit.\n*   `collation` (*type:* `String.t`, *default:* `nil`) - The name of server Instance collation.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - The tier (or machine type) for this instance, for example `db-custom-1-3840`. WARNING: Changing this restarts the instance.\n*   `locationPreference` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.LocationPreference.t`, *default:* `nil`) - The location preference settings. This allows the instance to be located as near as possible to either an App Engine app or Compute Engine zone for better performance. App Engine co-location was only applicable to First Generation instances.\n*   `storageAutoResize` (*type:* `boolean()`, *default:* `nil`) - Configuration to increase storage size automatically. The default value is true.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Server timezone, relevant only for Cloud SQL for SQL Server.\n*   `sqlServerAuditConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.t`, *default:* `nil`) - SQL Server specific audit configuration.\n*   `enableDataplexIntegration` (*type:* `boolean()`, *default:* `nil`) - Optional. By default, Cloud SQL instances have schema extraction disabled for Dataplex. When this parameter is set to true, schema extraction for Dataplex on Cloud SQL instances is activated.\n*   `activeDirectoryConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.t`, *default:* `nil`) - Active Directory configuration, relevant only for Cloud SQL for SQL Server.\n*   `passwordValidationPolicy` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.PasswordValidationPolicy.t`, *default:* `nil`) - The local user password validation policy of the instance.\n*   `dataCacheConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.DataCacheConfig.t`, *default:* `nil`) - Configuration for data cache.\n*   `pricingPlan` (*type:* `String.t`, *default:* `nil`) - The pricing plan for this instance. This can be either `PER_USE` or `PACKAGE`. Only `PER_USE` is supported for Second Generation instances.\n*   `crashSafeReplicationEnabled` (*type:* `boolean()`, *default:* `nil`) - Configuration specific to read replica instances. Indicates whether database flags for crash-safe replication are enabled. This property was only applicable to First Generation instances.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Settings.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Settings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Settings.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Settings.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Settings.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig","doc":"Active Directory configuration, relevant only for Cloud SQL for SQL Server.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig","doc":"*   `domain` (*type:* `String.t`, *default:* `nil`) - The name of the domain (e.g., mydomain.com).\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always sql#activeDirectoryConfig.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlActiveDirectoryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError","doc":"External primary instance migration setting error/warning.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError","doc":"*   `detail` (*type:* `String.t`, *default:* `nil`) - Additional information about the error encountered.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Can be `sql#externalSyncSettingError` or `sql#externalSyncSettingWarning`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Identifies the specific error that occurred.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse","doc":"Acquire SSRS lease response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse","doc":"*   `operationId` (*type:* `String.t`, *default:* `nil`) - The unique identifier for this operation.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesAcquireSsrsLeaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse","doc":"Instance get disk shrink config response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#getDiskShrinkConfig`.\n*   `message` (*type:* `String.t`, *default:* `nil`) - Additional message to customers.\n*   `minimalTargetSizeGb` (*type:* `String.t`, *default:* `nil`) - The minimum size to which a disk can be shrunk in GigaBytes.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetDiskShrinkConfigResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse","doc":"Instance get latest recovery time response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#getLatestRecoveryTime`.\n*   `latestRecoveryTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp, identifies the latest recovery time of the source instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesGetLatestRecoveryTimeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse","doc":"The response for the release of the SSRS lease.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse","doc":"*   `operationId` (*type:* `String.t`, *default:* `nil`) - The operation ID.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesReleaseSsrsLeaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody","doc":"Reschedule options for maintenance windows.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody","doc":"*   `reschedule` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.Reschedule.t`, *default:* `nil`) - Required. The type of the reschedule the user wants.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesRescheduleMaintenanceRequestBody.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest","doc":"Instance reset replica size request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesResetReplicaSizeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest","doc":"*   `migrationType` (*type:* `String.t`, *default:* `nil`) - Optional. MigrationType configures the migration to use physical files or logical dump files. If not set, then the logical dump file configuration is used. Valid values are `LOGICAL` or `PHYSICAL`. Only applicable to MySQL.\n*   `mysqlSyncConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.t`, *default:* `nil`) - MySQL-specific settings for start external sync.\n*   `skipVerification` (*type:* `boolean()`, *default:* `nil`) - Whether to skip the verification step (VESS).\n*   `syncMode` (*type:* `String.t`, *default:* `nil`) - External sync mode.\n*   `syncParallelLevel` (*type:* `String.t`, *default:* `nil`) - Optional. Parallel level for initial data sync. Currently only applicable for MySQL.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesStartExternalSyncRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest","doc":"*   `migrationType` (*type:* `String.t`, *default:* `nil`) - Optional. MigrationType configures the migration to use physical files or logical dump files. If not set, then the logical dump file configuration is used. Valid values are `LOGICAL` or `PHYSICAL`. Only applicable to MySQL.\n*   `mysqlSyncConfig` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.MySqlSyncConfig.t`, *default:* `nil`) - Optional. MySQL-specific settings for start external sync.\n*   `syncMode` (*type:* `String.t`, *default:* `nil`) - External sync mode\n*   `syncParallelLevel` (*type:* `String.t`, *default:* `nil`) - Optional. Parallel level for initial data sync. Only applicable for PostgreSQL.\n*   `verifyConnectionOnly` (*type:* `boolean()`, *default:* `nil`) - Flag to enable verifying connection only\n*   `verifyReplicationOnly` (*type:* `boolean()`, *default:* `nil`) - Optional. Flag to verify settings required by replication setup only","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse","doc":"Instance verify external sync settings response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse","doc":"*   `errors` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.t)`, *default:* `nil`) - List of migration violations.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#migrationSettingErrorList`.\n*   `warnings` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SqlExternalSyncSettingError.t)`, *default:* `nil`) - List of migration warnings.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlInstancesVerifyExternalSyncSettingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport","doc":"This message wraps up the information written by out-of-disk detection job.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport","doc":"*   `sqlMinRecommendedIncreaseSizeGb` (*type:* `integer()`, *default:* `nil`) - The minimum recommended increase size in GigaBytes This field is consumed by the frontend * Writers: * the proactive database wellness job for OOD. * Readers:\n*   `sqlOutOfDiskState` (*type:* `String.t`, *default:* `nil`) - This field represents the state generated by the proactive database wellness job for OutOfDisk issues. * Writers: * the proactive database wellness job for OOD. * Readers: * the proactive database wellness job","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlOutOfDiskReport.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance","doc":"Any scheduled maintenance for this instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance","doc":"*   `canDefer` (*type:* `boolean()`, *default:* `nil`) - \n*   `canReschedule` (*type:* `boolean()`, *default:* `nil`) - If the scheduled maintenance can be rescheduled.\n*   `scheduleDeadlineTime` (*type:* `DateTime.t`, *default:* `nil`) - Maintenance cannot be rescheduled to start beyond this deadline.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The start time of any upcoming scheduled maintenance for this instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlScheduledMaintenance.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig","doc":"SQL Server specific audit configuration.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig","doc":"*   `bucket` (*type:* `String.t`, *default:* `nil`) - The name of the destination bucket (e.g., gs://mybucket).\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always sql#sqlServerAuditConfig\n*   `retentionInterval` (*type:* `String.t`, *default:* `nil`) - How long to keep generated audit files.\n*   `uploadInterval` (*type:* `String.t`, *default:* `nil`) - How often to upload generated audit files.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerAuditConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails","doc":"Represents a Sql Server database on the Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails","doc":"*   `compatibilityLevel` (*type:* `integer()`, *default:* `nil`) - The version of SQL Server with which the database is to be made compatible\n*   `recoveryModel` (*type:* `String.t`, *default:* `nil`) - The recovery model of a SQL Server database","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerDatabaseDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails","doc":"Represents a Sql Server user on the Cloud SQL instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails","doc":"*   `disabled` (*type:* `boolean()`, *default:* `nil`) - If the user has been disabled\n*   `serverRoles` (*type:* `list(String.t)`, *default:* `nil`) - The server roles for this user","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert","doc":"SslCerts Resource","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SslCert","doc":"*   `cert` (*type:* `String.t`, *default:* `nil`) - PEM representation.\n*   `certSerialNumber` (*type:* `String.t`, *default:* `nil`) - Serial number, as extracted from the certificate.\n*   `commonName` (*type:* `String.t`, *default:* `nil`) - User supplied name. Constrained to [a-zA-Z.-_ ]+.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the certificate was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `expirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the certificate expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2012-11-15T16:19:00.094Z`.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - Name of the database instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#sslCert`.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - The URI of this resource.\n*   `sha1Fingerprint` (*type:* `String.t`, *default:* `nil`) - Sha1 Fingerprint.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCert.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail","doc":"SslCertDetail.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail","doc":"*   `certInfo` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t`, *default:* `nil`) - The public information about the cert.\n*   `certPrivateKey` (*type:* `String.t`, *default:* `nil`) - The private key for the client cert, in pem format. Keep private in order to protect your security.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest","doc":"SslCerts create ephemeral certificate request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest","doc":"*   `access_token` (*type:* `String.t`, *default:* `nil`) - Access token to include in the signed certificate.\n*   `public_key` (*type:* `String.t`, *default:* `nil`) - PEM encoded public key to include in the signed certificate.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsCreateEphemeralRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest","doc":"SslCerts insert request.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest","doc":"*   `commonName` (*type:* `String.t`, *default:* `nil`) - User supplied name. Must be a distinct name from the other certificates for this instance.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse","doc":"SslCert insert response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse","doc":"*   `clientCert` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCertDetail.t`, *default:* `nil`) - The new client certificate and private key.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#sslCertsInsert`.\n*   `operation` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.Operation.t`, *default:* `nil`) - The operation to track the ssl certs insert request.\n*   `serverCaCert` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t`, *default:* `nil`) - The server Certificate Authority's certificate. If this is missing you can force a new one to be generated by calling resetSslConfig method on instances resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsInsertResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse","doc":"SslCerts list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.SslCert.t)`, *default:* `nil`) - List of client certificates for the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#sslCertsList`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SslCertsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags","doc":"Initial sync flags for certain Cloud SQL APIs. Currently used for the MySQL external server initial dump.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the flag.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The value of the flag. This field must be omitted if the flag doesn't take a value.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.SyncFlags.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.Tier","doc":"A Google Cloud SQL service tier resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Tier.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.Tier","doc":"*   `DiskQuota` (*type:* `String.t`, *default:* `nil`) - The maximum disk size of this tier in bytes.\n*   `RAM` (*type:* `String.t`, *default:* `nil`) - The maximum RAM usage of this tier in bytes.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#tier`.\n*   `region` (*type:* `list(String.t)`, *default:* `nil`) - The applicable regions for this tier.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - An identifier for the machine type, for example, `db-custom-1-3840`. For related information, see [Pricing](/sql/pricing).","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Tier.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.Tier.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Tier.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.Tier.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.Tier.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse","doc":"Tiers list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.Tier.t)`, *default:* `nil`) - List of tiers.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#tiersList`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TiersListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext","doc":"Database Instance truncate log context.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#truncateLogContext`.\n*   `logType` (*type:* `String.t`, *default:* `nil`) - The type of log to truncate. Valid values are `MYSQL_GENERAL_TABLE` and `MYSQL_SLOW_TABLE`.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.TruncateLogContext.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.User","doc":"A Cloud SQL user resource.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.User.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.User","doc":"*   `dualPasswordType` (*type:* `String.t`, *default:* `nil`) - Dual password status for the user.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This field is deprecated and will be removed from a future version of the API.\n*   `host` (*type:* `String.t`, *default:* `nil`) - Optional. The host from which the user can connect. For `insert` operations, host defaults to an empty string. For `update` operations, host is specified as part of the request URL. The host name cannot be updated after insertion. For a MySQL instance, it's required; for a PostgreSQL or SQL Server instance, it's optional.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - The name of the Cloud SQL instance. This does not include the project ID. Can be omitted for *update* because it is already specified on the URL.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always `sql#user`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the user in the Cloud SQL instance. Can be omitted for `update` because it is already specified in the URL.\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for the user.\n*   `passwordPolicy` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.t`, *default:* `nil`) - User level password validation policy.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project ID of the project containing the Cloud SQL database. The Google apps domain is prefixed if applicable. Can be omitted for *update* because it is already specified on the URL.\n*   `sqlserverUserDetails` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.SqlServerUserDetails.t`, *default:* `nil`) - \n*   `type` (*type:* `String.t`, *default:* `nil`) - The user type. It determines the method to authenticate the user during login. The default is the database's built-in user type.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.User.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.User.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.User.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.User.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.User.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy","doc":"User level password validation policy.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy","doc":"*   `allowedFailedAttempts` (*type:* `integer()`, *default:* `nil`) - Number of failed login attempts allowed before user get locked.\n*   `enableFailedAttemptsCheck` (*type:* `boolean()`, *default:* `nil`) - If true, failed login attempts check will be enabled.\n*   `enablePasswordVerification` (*type:* `boolean()`, *default:* `nil`) - If true, the user must specify the current password before changing the password. This flag is supported only for MySQL.\n*   `passwordExpirationDuration` (*type:* `String.t`, *default:* `nil`) - Expiration duration after password is updated.\n*   `status` (*type:* `GoogleApi.SQLAdmin.V1beta4.Model.PasswordStatus.t`, *default:* `nil`) - Output only. Read-only password status.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UserPasswordValidationPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse","doc":"User list response.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse","doc":"*   `items` (*type:* `list(GoogleApi.SQLAdmin.V1beta4.Model.User.t)`, *default:* `nil`) - List of user resources in the instance.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This is always *sql#usersList*.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Unused.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse.t/0","doc":"","ref":"GoogleApi.SQLAdmin.V1beta4.Model.UsersListResponse.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}